## [AKShare](https://github.com/akfamily/akshare) 指数数据

### 中国股票指数数据

#### 实时行情数据

接口: stock_zh_index_spot

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#hs_s

描述: 新浪财经-中国股票指数数据

限量: 单次返回所有指数的实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 代码  | object  | -       |
| 名称  | object  | -       |
| 最新价 | float64 | -       |
| 涨跌额 | float64 | -       |
| 涨跌幅 | float64 | 注意单位: % |
| 昨收  | float64 | -       |
| 今开  | float64 | -       |
| 最高  | float64 | -       |
| 最低  | float64 | -       |
| 成交量 | float64 | 注意单位: 手 |
| 成交额 | float64 | 注意单位: 元 |

接口示例

```python
import akshare as ak

stock_zh_index_spot_df = ak.stock_zh_index_spot()
print(stock_zh_index_spot_df)
```

数据示例

```
        代码    名称        最新价  ...      最低       成交量           成交额
0    sh000001  上证指数  3484.3924  ...  3462.8321   262654873  317953200768
1    sh000002  Ａ股指数  3652.2918  ...  3629.6721   262507126  317711821774
2    sh000003  Ｂ股指数   246.1128  ...   245.3968      121902      62088261
3    sh000004  工业指数  3084.5617  ...  3051.0834   162642330  224198720298
4    sh000005  商业指数  3161.1518  ...  3150.4813    14486730   19213540155
..        ...   ...        ...  ...        ...         ...           ...
575  sz399998  中证煤炭  1395.7690  ...  1392.0210   788677823    4900473791
576  sz980001        1690.5910  ...  1679.6590  2458615064   60754965378
577  sz980017        9014.4380  ...  8679.3360   835190754   34070561457
578  sz980023        2957.4530  ...  2950.4640   489534394    8813329425
579  sz980068        2165.8470  ...  2154.3910   439360589    4552661981
```

#### 历史行情数据

##### 历史行情数据-新浪

接口: stock_zh_index_daily

目标地址: https://finance.sina.com.cn/realstock/company/sz399552/nc.shtml(示例)

描述: 股票指数的历史数据按日频率更新

限量: 单次返回指定指数的所有历史行情数据

输入参数

| 名称     | 类型  | 描述                |
|--------|-----|-------------------|
| symbol | str | symbol="sz399552" |

输出参数-历史行情数据

| 名称     | 类型      | 描述                    |
|--------|---------|-----------------------|
| date   | object  | 新浪的数据开始时间, 不是该指数的上市时间 |
| open   | float64 | -                     |
| high   | float64 | -                     |
| low    | float64 | -                     |
| close  | float64 | -                     |
| volume | int64   | -                     |

接口示例-历史行情数据

```python
import akshare as ak

stock_zh_index_daily_df = ak.stock_zh_index_daily(symbol="sz399552")
print(stock_zh_index_daily_df)
```

数据示例-历史行情数据

```
            date      open      high       low     close      volume
0     2008-06-30  3631.954  3718.385  3584.999  3676.123   316365901
1     2008-07-01  3693.510  3715.664  3620.357  3629.762   296847761
2     2008-07-02  3633.534  3718.855  3620.892  3658.480   316555559
3     2008-07-03  3622.346  3879.630  3576.116  3831.784   564942459
4     2008-07-04  3819.926  3872.489  3786.231  3818.515   447080724
          ...       ...       ...       ...       ...         ...
3218  2021-09-16  9584.437  9592.118  9401.564  9401.564  3939128556
3219  2021-09-17  9379.818  9477.225  9305.656  9455.789  3431638018
3220  2021-09-22  9309.027  9419.676  9288.546  9395.130  3170250564
3221  2021-09-23  9448.988  9485.646  9423.626  9467.870  3894644651
3222  2021-09-24  9455.432  9578.127  9410.217  9464.908  3458768535
```

##### 历史行情数据-腾讯

接口: stock_zh_index_daily_tx

目标地址: http://gu.qq.com/sh000919/zs

描述: 股票指数(或者股票)历史行情数据

限量: 单次返回具体某个股票指数(或者股票)的所有历史行情数据

输入参数-历史行情数据

| 名称     | 类型  | 描述                |
|--------|-----|-------------------|
| symbol | str | symbol="sh000919" |

输出参数-历史行情数据

| 名称     | 类型      | 描述                  |
|--------|---------|---------------------|
| date   | object  | 腾讯的数据开始时间, 不是证券上市时间 |
| open   | float64 | -                   |
| close  | float64 | -                   |
| high   | float64 | -                   |
| low    | float64 | -                   |
| amount | float64 | 注意单位: 手             |

接口示例-历史行情数据

```python
import akshare as ak

stock_zh_index_daily_tx_df = ak.stock_zh_index_daily_tx(symbol="sh000919")
print(stock_zh_index_daily_tx_df)
```

数据示例-历史行情数据

```
           date      open     close      high       low      amount
0    2020-04-27   6967.54   6907.57   6991.75   6776.65   5387844.0
1    2020-04-28   6908.50   7203.02   7244.93   6767.71   9653834.0
2    2020-04-29   7098.24   7125.22   7191.97   7090.03   6286915.0
3    2020-04-30   7269.19   7656.94   7721.28   7244.63  12082382.0
4    2020-05-06   7687.88   8125.96   8141.35   7663.42  14224962.0
..          ...       ...       ...       ...       ...         ...
342  2021-09-17  11124.12  11198.95  11312.58  10953.33   4105800.0
343  2021-09-22  11063.33  11321.85  11436.21  11054.69   3721482.0
344  2021-09-23  11396.43  11534.59  11690.35  11191.92   4869889.0
345  2021-09-24  11478.26  11467.35  11626.35  11391.53   3740249.0
346  2021-09-27  11569.45  11441.62  11710.57  11308.36   4685963.0
```

##### 历史行情数据-东方财富

接口: stock_zh_index_daily_em

目标地址: http://quote.eastmoney.com/center/hszs.html

描述: 东方财富股票指数数据, 历史数据按日频率更新

限量: 单次返回具体指数的所有历史行情数据

输入参数

| 名称     | 类型  | 描述                |
|--------|-----|-------------------|
| symbol | str | symbol="sz399552" |

输出参数

| 名称     | 类型    | 描述                    |
|--------|-------|-----------------------|
| date   | str   | 东方财富的数据开始时间, 不是证券上市时间 |
| open   | float | -                     |
| close  | float | -                     |
| high   | float | -                     |
| low    | float | -                     |
| volume | float | -                     |
| amount | float | -                     |

接口示例

```python
import akshare as ak

stock_zh_index_daily_em_df = ak.stock_zh_index_daily_em(symbol="sz399812")
print(stock_zh_index_daily_em_df)
```

数据示例

```
            date      open     close  ...       low      volume        amount
0     2005-01-04    996.03    989.56  ...    986.46    675733.0  4.986503e+08
1     2005-01-05    989.87   1008.59  ...    989.46   1037894.0  9.068431e+08
2     2005-01-06   1008.88   1002.81  ...    999.76    779152.0  5.631133e+08
3     2005-01-07   1002.10   1004.06  ...    999.56    898377.0  7.554397e+08
4     2005-01-10   1002.63   1014.12  ...   1000.90    651187.0  5.609582e+08
          ...       ...       ...  ...       ...         ...           ...
3785  2020-07-31   9925.95  10076.45  ...   9856.84  25572982.0  8.913588e+10
3786  2020-08-03  10171.99  10277.40  ...  10078.86  30955440.0  1.042277e+11
3787  2020-08-04  10261.82  10260.95  ...  10194.95  33366317.0  1.187024e+11
3788  2020-08-05  10183.52  10329.20  ...  10116.86  26614930.0  8.924673e+10
3789  2020-08-06  10337.09  10175.92  ...  10049.05  32541265.0  1.055893e+11
```

##### 历史行情数据-通用

接口: index_zh_a_hist

目标地址: http://quote.eastmoney.com/center/hszs.html

描述: 东方财富网-中国股票指数-行情数据

限量: 单次返回具体指数指定 period 从 start_date 到 end_date 的之间的近期数据

输入参数

| 名称         | 类型  | 描述                                                       |
|------------|-----|----------------------------------------------------------|
| symbol     | str | symbol="399282"; 指数代码，此处不用市场标识                           |
| period     | str | period="daily"; choice of {'daily', 'weekly', 'monthly'} |
| start_date | str | start_date="19700101"; 开始日期                              |
| end_date   | str | end_date="22220101"; 结束时间                                |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 日期  | object  | 交易日     |
| 开盘  | float64 | 开盘价     |
| 收盘  | float64 | 收盘价     |
| 最高  | float64 | 最高价     |
| 最低  | float64 | 最低价     |
| 成交量 | int32   | 注意单位: 手 |
| 成交额 | float64 | 注意单位: 元 |
| 振幅  | float64 | 注意单位: % |
| 涨跌幅 | float64 | 注意单位: % |
| 涨跌额 | float64 | 注意单位: 元 |
| 换手率 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

index_zh_a_hist_df = ak.index_zh_a_hist(symbol="000016", period="daily", start_date="19700101", end_date="22220101")
print(index_zh_a_hist_df)
```

数据示例

```
       日期       开盘       收盘       最高  ...   振幅   涨跌幅 涨跌额   换手率
0     2004-01-02   997.00  1011.35  1021.57  ...  0.00  0.00   0.00  0.00
1     2004-01-05  1008.28  1060.80  1060.90  ...  5.20  4.89  49.45  0.00
2     2004-01-06  1059.14  1075.66  1086.69  ...  2.60  1.40  14.86  0.00
3     2004-01-07  1075.56  1086.30  1095.84  ...  2.31  0.99  10.64  0.00
4     2004-01-08  1087.68  1102.66  1108.29  ...  2.37  1.51  16.36  0.00
          ...      ...      ...      ...  ...   ...   ...    ...   ...
4400  2022-02-15  3101.36  3119.93  3126.42  ...  0.95  0.51  15.93  0.24
4401  2022-02-16  3134.88  3136.08  3150.86  ...  0.70  0.52  16.15  0.20
4402  2022-02-17  3138.77  3139.18  3156.87  ...  0.79  0.10   3.10  0.20
4403  2022-02-18  3126.28  3162.82  3162.82  ...  1.30  0.75  23.64  0.19
4404  2022-02-21  3155.32  3144.86  3155.88  ...  0.86 -0.57 -17.96  0.21
```

#### 分时行情数据

接口: index_zh_a_hist_min_em

目标地址: http://quote.eastmoney.com/center/hszs.html

描述: 东方财富网-指数数据-分时行情

限量: 单次返回具体指数指定 period 从 start_date 到 end_date 的之间的近期数据，该接口不能返回所有历史数据

输入参数

| 名称         | 类型  | 描述                                                                                |
|------------|-----|-----------------------------------------------------------------------------------|
| symbol     | str | symbol="000016"; 指数代码，此处不用市场标识                                                    |
| period     | str | period="5"; choice of {'1', '5', '15', '30', '60'}, 其中 1 分钟数据只能返回当前的, 其余只能返回近期的数据 |
| start_date | str | start_date="1979-09-01 09:32:00"; 开始日期时间                                          |
| end_date   | str | end_date="2222-01-01 09:32:00"; 结束时间时间                                            |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 时间   | object  | 交易日     |
| 开盘   | float64 | 开盘价     |
| 收盘   | float64 | 收盘价     |
| 最高   | float64 | 最高价     |
| 最低   | float64 | 最低价     |
| 成交量  | int64   | 注意单位: 手 |
| 成交额  | float64 | 注意单位: 元 |
| 最新价  | float64 | -       |

接口示例

```python
import akshare as ak

index_zh_a_hist_min_em_df = ak.index_zh_a_hist_min_em(symbol="000016", period="1", start_date="1979-09-01 09:32:00", end_date="2222-01-01 09:32:00")
print(index_zh_a_hist_min_em_df)
```

数据示例

```
             时间       开盘       收盘  ...     成交量           成交额       最新价
0     2022-02-15 09:30:00     0.00  3101.36  ...  145226  3.321566e+08  3104.273
1     2022-02-15 09:31:00     0.00  3106.01  ...  495049  1.174811e+09  3108.621
2     2022-02-15 09:32:00     0.00  3107.55  ...  361315  7.954516e+08  3110.788
3     2022-02-15 09:33:00     0.00  3104.50  ...  402809  6.602538e+08  3108.281
4     2022-02-15 09:34:00     0.00  3101.29  ...  358263  8.060021e+08  3106.361
                   ...      ...      ...  ...     ...           ...       ...
1200  2022-02-21 14:56:00  3145.98  3146.37  ...  145263  3.190067e+08  3156.906
1201  2022-02-21 14:57:00  3146.36  3147.00  ...  165207  3.131019e+08  3157.498
1202  2022-02-21 14:58:00  3146.65  3146.90  ...   10518  1.861847e+07  3157.538
1203  2022-02-21 14:59:00  3146.90  3146.90  ...       0  0.000000e+00  3157.538
1204  2022-02-21 15:00:00  3144.86  3144.86  ...  367925  6.682456e+08  3155.529
```

### 中国股票指数成份

#### 最新成份

接口: index_stock_cons

目标地址: http://vip.stock.finance.sina.com.cn/corp/view/vII_NewestComponent.php?page=1&indexid=399639

描述: 指定指数的最新成份股票信息, 注意该接口返回的数据有部分是重复会导致数据缺失, 可以调用 **ak.index_stock_cons_sina()** 获取主流指数数据, 或调用**ak.index_stock_cons_csindex()**获取中证指数网提供的成分数据

输入参数

| 名称     | 类型  | 描述                                                   |
|--------|-----|------------------------------------------------------|
| symbol | str | symbol="000300", 获取沪深 300 最新成份股, 指数代码见 **股票指数信息一览表** |

股票指数信息一览表(可以在 AKShare 中通过如下代码获取本表)

```python
import akshare as ak

index_stock_info_df = ak.index_stock_info()
print(index_stock_info_df)
```

| index\_code | display\_name      | publish\_date |
|-------------|--------------------|---------------|
| 000001      | 上证指数               | 1991/7/15     |
| 000002      | A股指数               | 1992/2/21     |
| 000003      | B股指数               | 1992/2/21     |
| 000004      | 工业指数               | 1993/5/3      |
| 000005      | 商业指数               | 1993/5/3      |
| 000006      | 地产指数               | 1993/5/3      |
| 000007      | 公用指数               | 1993/5/3      |
| 000008      | 综合指数               | 1993/5/3      |
| 000009      | 上证380              | 2010/11/29    |
| 000010      | 上证180              | 2002/7/1      |
| 000011      | 基金指数               | 2000/6/9      |
| 000012      | 国债指数               | 2003/1/2      |
| 000013      | 上证企业债指数            | 2003/6/9      |
| 000015      | 红利指数               | 2005/1/4      |
| 000016      | 上证50               | 2004/1/2      |
| 000017      | 新综指                | 2006/1/4      |
| 000018      | 180金融              | 2007/12/10    |
| 000019      | 治理指数               | 2008/1/2      |
| 000020      | 中型综指               | 2008/5/12     |
| 000021      | 180治理              | 2008/9/10     |
| 000022      | 上证公司债指数            | 2008/11/19    |
| 000025      | 180基建              | 2008/12/15    |
| 000026      | 180资源              | 2008/12/15    |
| 000027      | 180运输              | 2008/12/15    |
| 000028      | 180成长              | 2009/1/9      |
| 000029      | 180价值              | 2009/1/9      |
| 000030      | 180R成长             | 2009/1/9      |
| 000031      | 180R价值             | 2009/1/9      |
| 000032      | 上证能源               | 2009/1/9      |
| 000033      | 上证材料               | 2009/1/9      |
| 000034      | 上证工业               | 2009/1/9      |
| 000035      | 上证可选               | 2009/1/9      |
| 000036      | 上证消费               | 2009/1/9      |
| 000037      | 上证医药               | 2009/1/9      |
| 000038      | 上证金融               | 2009/1/9      |
| 000039      | 上证信息               | 2009/1/9      |
| 000040      | 上证电信               | 2009/1/9      |
| 000041      | 上证公用               | 2009/1/9      |
| 000042      | 上证央企               | 2009/3/30     |
| 000043      | 超大盘                | 2009/4/23     |
| 000044      | 上证中盘               | 2009/7/3      |
| 000045      | 上证小盘               | 2009/7/3      |
| 000046      | 上证中小               | 2009/7/3      |
| 000047      | 上证全指               | 2009/7/3      |
| 000048      | 责任指数               | 2009/8/5      |
| 000049      | 上证民企               | 2009/8/25     |
| 000050      | 50等权               | 2011/1/4      |
| 000051      | 180等权              | 2011/5/24     |
| 000052      | 50基本               | 2012/1/9      |
| 000053      | 180基本              | 2012/1/9      |
| 000054      | 上证海外               | 2010/1/4      |
| 000055      | 上证地企               | 2010/1/4      |
| 000056      | 上证国企               | 2010/1/4      |
| 000057      | 全指成长               | 2010/1/4      |
| 000058      | 全指价值               | 2010/1/4      |
| 000059      | 全R成长               | 2010/1/4      |
| 000060      | 全R价值               | 2010/1/4      |
| 000061      | 沪企债30              | 2010/1/4      |
| 000062      | 上证沪企               | 2010/1/4      |
| 000063      | 上证周期               | 2010/2/3      |
| 000064      | 非周期                | 2010/2/3      |
| 000065      | 上证龙头               | 2010/2/9      |
| 000066      | 上证商品               | 2010/4/30     |
| 000067      | 上证新兴               | 2010/4/30     |
| 000068      | 上证资源               | 2010/5/28     |
| 000069      | 消费80               | 2010/5/28     |
| 000070      | 能源等权               | 2010/8/18     |
| 000071      | 材料等权               | 2010/8/18     |
| 000072      | 工业等权               | 2010/8/18     |
| 000073      | 可选等权               | 2010/8/18     |
| 000074      | 消费等权               | 2010/8/18     |
| 000075      | 医药等权               | 2010/8/18     |
| 000076      | 金融等权               | 2010/8/18     |
| 000077      | 信息等权               | 2010/8/18     |
| 000078      | 电信等权               | 2010/8/18     |
| 000079      | 公用等权               | 2010/8/18     |
| 000090      | 上证流通               | 2010/12/2     |
| 000091      | 沪财中小               | 2011/4/6      |
| 000092      | 资源50               | 2011/5/10     |
| 000093      | 180分层              | 2011/5/24     |
| 000094      | 上证上游               | 2011/5/10     |
| 000095      | 上证中游               | 2011/5/10     |
| 000096      | 上证下游               | 2011/5/10     |
| 000097      | 高端装备               | 2011/5/24     |
| 000098      | 上证F200             | 2011/7/1      |
| 000099      | 上证F300             | 2011/7/1      |
| 000100      | 上证F500             | 2011/7/1      |
| 000101      | 5年信用               | 2013/4/1      |
| 000102      | 沪投资品               | 2011/6/13     |
| 000103      | 沪消费品               | 2011/6/13     |
| 000104      | 380能源              | 2011/6/13     |
| 000105      | 380材料              | 2011/6/13     |
| 000106      | 380工业              | 2011/6/13     |
| 000107      | 380可选              | 2011/6/13     |
| 000108      | 380消费              | 2011/6/13     |
| 000109      | 380医药              | 2011/6/13     |
| 000110      | 380金融              | 2011/6/13     |
| 000111      | 380信息              | 2011/6/13     |
| 000112      | 380电信              | 2011/6/13     |
| 000113      | 380公用              | 2011/6/13     |
| 000114      | 持续产业               | 2011/8/22     |
| 000115      | 380等权              | 2011/8/12     |
| 000116      | 信用100              | 2013/2/26     |
| 000117      | 380成长              | 2011/10/18    |
| 000118      | 380价值              | 2011/10/18    |
| 000119      | 380R成长             | 2011/10/18    |
| 000120      | 380R价值             | 2011/10/18    |
| 000121      | 医药主题               | 2011/10/18    |
| 000122      | 农业主题               | 2011/10/18    |
| 000123      | 180动态              | 2013/2/8      |
| 000125      | 180稳定              | 2013/2/8      |
| 000126      | 消费50               | 2011/12/9     |
| 000128      | 380基本              | 2012/1/9      |
| 000129      | 180波动              | 2012/1/9      |
| 000130      | 380波动              | 2012/1/9      |
| 000131      | 上证高新               | 2012/2/10     |
| 000132      | 上证100              | 2012/4/20     |
| 000133      | 上证150              | 2012/4/20     |
| 000134      | 上证银行               | 2012/5/29     |
| 000135      | 180高贝              | 2012/8/6      |
| 000136      | 180低贝              | 2012/8/6      |
| 000137      | 380高贝              | 2012/8/6      |
| 000138      | 380低贝              | 2012/8/6      |
| 000139      | 上证转债               | 2012/9/12     |
| 000141      | 380动态              | 2013/2/8      |
| 000142      | 380稳定              | 2013/2/8      |
| 000145      | 优势资源               | 2012/5/29     |
| 000146      | 优势制造               | 2012/5/29     |
| 000147      | 优势消费               | 2012/5/29     |
| 000148      | 消费领先               | 2012/5/29     |
| 000149      | 180红利              | 2012/7/20     |
| 000150      | 380红利              | 2012/7/20     |
| 000151      | 上国红利               | 2012/7/20     |
| 000152      | 上央红利               | 2012/7/20     |
| 000153      | 上民红利               | 2012/7/20     |
| 000155      | 市值百强               | 2012/7/20     |
| 000158      | 上证环保               | 2012/9/25     |
| 000159      | 上证沪股通指数            | 2014/11/17    |
| 000160      | 上证一带一路主题指数         | 2015/6/24     |
| 000161      | 上证中国制造2025主题指数     | 2015/10/29    |
| 000162      | 上证互联网\+主题指数        | 2015/10/29    |
| 000171      | 新兴成指               | 2017/1/25     |
| 000188      | 中国波指               | 2016/11/28    |
| 000300      | 沪深300              | 2005/4/8      |
| 000801      | 资源80               | 2011/11/8     |
| 000802      | 500沪市              | 2011/11/8     |
| 000803      | 300波动              | 2012/1/9      |
| 000804      | 500波动              | 2012/1/9      |
| 000805      | A股资源               | 2012/1/6      |
| 000806      | 消费服务               | 2012/2/10     |
| 000807      | 食品饮料               | 2012/2/17     |
| 000808      | 医药生物               | 2012/2/17     |
| 000809      | 细分农业               | 2012/4/11     |
| 000810      | 细分能源               | 2012/4/11     |
| 000811      | 细分有色               | 2012/4/11     |
| 000812      | 细分机械               | 2012/4/11     |
| 000813      | 细分化工               | 2012/4/11     |
| 000814      | 细分医药               | 2012/4/11     |
| 000815      | 细分食品               | 2012/4/11     |
| 000816      | 细分地产               | 2012/4/11     |
| 000817      | 兴证海峡               | 2011/9/27     |
| 000818      | 细分金融               | 2012/4/11     |
| 000819      | 有色金属               | 2012/5/9      |
| 000820      | 煤炭指数               | 2012/5/9      |
| 000821      | 300红利              | 2012/7/20     |
| 000822      | 500红利              | 2012/7/20     |
| 000823      | 中证800有色金属指数        | 2012/12/21    |
| 000824      | 国企红利               | 2012/7/20     |
| 000825      | 央企红利               | 2012/7/20     |
| 000826      | 民企红利               | 2012/7/20     |
| 000827      | 中证环保               | 2012/9/25     |
| 000828      | 300高贝              | 2012/8/6      |
| 000829      | 300低贝              | 2012/8/6      |
| 000830      | 500高贝              | 2012/8/6      |
| 000831      | 500低贝              | 2012/8/6      |
| 000832      | 中证转债               | 2012/9/12     |
| 000833      | 中高企债               | 2012/9/10     |
| 000838      | 创业价值               | 2012/9/26     |
| 000839      | 浙企综指               | 2012/11/9     |
| 000840      | 浙江民企               | 2012/11/9     |
| 000841      | 800医药              | 2012/12/21    |
| 000842      | 800等权              | 2012/12/21    |
| 000843      | 300动态              | 2013/1/7      |
| 000844      | 300稳定              | 2013/1/7      |
| 000846      | ESG100             | 2012/10/16    |
| 000847      | 中证腾安价值100指数        | 2013/11/18    |
| 000849      | 沪深300非银行金融指数       | 2012/12/21    |
| 000850      | 沪深300有色金属指数        | 2012/12/21    |
| 000851      | 中证百度百发策略100指数      | 2014/7/30     |
| 000852      | 中证1000指数           | 2014/10/17    |
| 000853      | 中证申万一带一路主题投资指数     | 2015/4/23     |
| 000854      | 500原料              | 2013/11/6     |
| 000855      | 央视财经500指数          | 2014/11/3     |
| 000856      | 500工业              | 2013/11/6     |
| 000857      | 500医药              | 2013/11/6     |
| 000858      | 500信息              | 2013/11/6     |
| 000891      | 中国战略新兴产业综合指数       | 2017/1/25     |
| 000901      | 小康指数               | 2010/4/1      |
| 000902      | 中证流通               | 2006/2/27     |
| 000903      | 中证100              | 2006/5/29     |
| 000904      | 中证200              | 2007/1/15     |
| 000905      | 中证500              | 2007/1/15     |
| 000906      | 中证800              | 2007/1/15     |
| 000907      | 中证700              | 2007/1/15     |
| 000908      | 300能源              | 2007/7/2      |
| 000909      | 300材料              | 2007/7/2      |
| 000910      | 300工业              | 2007/7/2      |
| 000911      | 300可选              | 2007/7/2      |
| 000912      | 300消费              | 2007/7/2      |
| 000913      | 300医药              | 2007/7/2      |
| 000914      | 300金融              | 2007/7/2      |
| 000915      | 300信息              | 2007/7/2      |
| 000916      | 300电信              | 2007/7/2      |
| 000917      | 300公用              | 2007/7/2      |
| 000918      | 300成长              | 2008/1/21     |
| 000919      | 300价值              | 2008/1/21     |
| 000920      | 300R成长             | 2008/1/21     |
| 000921      | 300R价值             | 2008/1/21     |
| 000922      | 中证红利               | 2008/5/26     |
| 000923      | 公司债                | 2008/11/19    |
| 000925      | 基本面50              | 2009/2/26     |
| 000926      | 中证央企               | 2009/3/30     |
| 000927      | 央企100              | 2009/3/30     |
| 000928      | 中证能源               | 2009/7/3      |
| 000929      | 中证材料               | 2009/7/3      |
| 000930      | 中证工业               | 2009/7/3      |
| 000931      | 中证可选               | 2009/7/3      |
| 000932      | 中证消费               | 2009/7/3      |
| 000933      | 中证医药               | 2009/7/3      |
| 000934      | 中证金融               | 2009/7/3      |
| 000935      | 中证信息               | 2009/7/3      |
| 000936      | 中证电信               | 2009/7/3      |
| 000937      | 中证公用               | 2009/7/3      |
| 000938      | 中证民企               | 2009/8/25     |
| 000939      | 民企200              | 2009/8/25     |
| 000940      | 财富大盘               | 2009/9/25     |
| 000941      | 新能源                | 2009/10/28    |
| 000942      | 内地消费               | 2009/10/28    |
| 000943      | 内地基建               | 2009/10/28    |
| 000944      | 内地资源               | 2009/10/28    |
| 000945      | 内地运输               | 2009/10/28    |
| 000946      | 内地金融               | 2009/10/28    |
| 000947      | 内地银行               | 2009/10/28    |
| 000948      | 内地地产               | 2009/10/28    |
| 000949      | 内地农业               | 2009/10/28    |
| 000950      | 300基建              | 2009/10/28    |
| 000951      | 300银行              | 2009/10/28    |
| 000952      | 300地产              | 2009/10/28    |
| 000953      | 中证地企               | 2010/2/9      |
| 000954      | 地企100              | 2010/2/9      |
| 000955      | 中证国企               | 2010/2/9      |
| 000956      | 国企200              | 2010/2/9      |
| 000957      | 300运输              | 2009/6/16     |
| 000958      | 创业成长               | 2010/3/24     |
| 000959      | 银河99               | 2010/2/9      |
| 000960      | 中证龙头               | 2010/2/9      |
| 000961      | 中证上游               | 2010/4/16     |
| 000962      | 中证中游               | 2010/4/16     |
| 000963      | 中证下游               | 2010/4/16     |
| 000964      | 中证新兴               | 2010/4/30     |
| 000965      | 基本200              | 2010/6/2      |
| 000966      | 基本400              | 2010/6/2      |
| 000967      | 基本600              | 2010/6/2      |
| 000968      | 300周期              | 2010/5/28     |
| 000969      | 300非周              | 2010/5/28     |
| 000970      | ESG40              | 2010/9/17     |
| 000971      | 等权90               | 2010/12/2     |
| 000972      | 300沪市              | 2010/12/2     |
| 000973      | 技术领先               | 2011/1/4      |
| 000974      | 中证800金融指数          | 2013/5/9      |
| 000975      | 钱江30               | 2014/1/2      |
| 000976      | 新华金牛               | 2014/2/18     |
| 000977      | 内地低碳               | 2011/1/21     |
| 000978      | 医药100              | 2011/3/18     |
| 000979      | 大宗商品               | 2011/8/22     |
| 000980      | 中证超大               | 2011/5/10     |
| 000981      | 300分层              | 2011/6/13     |
| 000982      | 500等权              | 2011/6/13     |
| 000983      | 智能资产               | 2011/6/17     |
| 000984      | 300等权              | 2011/8/2      |
| 000985      | 中证全指               | 2011/8/2      |
| 000986      | 全指能源               | 2011/8/2      |
| 000987      | 全指材料               | 2011/8/2      |
| 000988      | 全指工业               | 2011/8/2      |
| 000989      | 全指可选               | 2011/8/2      |
| 000990      | 全指消费               | 2011/8/2      |
| 000991      | 全指医药               | 2011/8/2      |
| 000992      | 全指金融               | 2011/8/2      |
| 000993      | 全指信息               | 2011/8/2      |
| 000994      | 全指电信               | 2011/8/2      |
| 000995      | 全指公用               | 2011/8/2      |
| 000996      | 领先行业               | 2011/8/2      |
| 000997      | 大消费                | 2011/11/11    |
| 000998      | 中证TMT              | 2011/11/8     |
| 000999      | 中证两岸三地500指数        | 2010/1/18     |
| 399001      | 深证成指               | 1995/1/23     |
| 399002      | 深成指R               | 1995/1/23     |
| 399003      | 成份B指               | 1995/1/23     |
| 399004      | 深证100R             | 2003/1/2      |
| 399005      | 中小板指               | 2006/1/24     |
| 399006      | 创业板指               | 2010/6/1      |
| 399007      | 深证300              | 2009/11/4     |
| 399008      | 中小300              | 2010/3/22     |
| 399009      | 深证200              | 2011/9/1      |
| 399010      | 深证700              | 2011/9/1      |
| 399011      | 深证1000             | 2011/9/1      |
| 399012      | 创业300              | 2013/1/7      |
| 399013      | 深市精选               | 2014/5/30     |
| 399015      | 深证中小创新指数           | 2015/3/24     |
| 399016      | 深证创新指数             | 2016/12/1     |
| 399017      | 中小板创新指数            | 2016/12/1     |
| 399018      | 创业板创新指数            | 2016/12/1     |
| 399050      | 创新引擎               | 2018/7/31     |
| 399100      | 新指数                | 2006/2/16     |
| 399101      | 中小板综               | 2005/12/1     |
| 399102      | 创业板综合指数            | 2010/8/20     |
| 399103      | 乐富指数               | 2011/12/2     |
| 399106      | 深证综指               | 1991/4/4      |
| 399107      | 深证A指               | 1992/10/4     |
| 399108      | 深证B指               | 1992/10/6     |
| 399231      | 农林指数               | 2013/3/4      |
| 399232      | 采矿指数               | 2013/3/4      |
| 399233      | 制造指数               | 2013/3/4      |
| 399234      | 水电指数               | 2013/3/4      |
| 399235      | 建筑指数               | 2013/3/4      |
| 399236      | 批零指数               | 2013/3/4      |
| 399237      | 运输指数               | 2013/3/4      |
| 399238      | 餐饮指数               | 2013/3/4      |
| 399239      | IT指数               | 2013/3/4      |
| 399240      | 金融指数               | 2013/3/4      |
| 399241      | 地产指数               | 2013/3/4      |
| 399242      | 商务指数               | 2013/3/4      |
| 399243      | 科研指数               | 2013/3/4      |
| 399244      | 公共指数               | 2013/3/4      |
| 399248      | 文化指数               | 2013/3/4      |
| 399249      | 综企指数               | 2013/3/4      |
| 399286      | 区块链50              | 2019/12/23    |
| 399290      | 深转交债               | 2019/6/6      |
| 399291      | 创精选88              | 2019/11/6     |
| 399292      | 民企发展               | 2019/3/5      |
| 399293      | 创业大盘               | 2019/4/18     |
| 399294      | 中小创Q               | 2019/6/6      |
| 399295      | 创业蓝筹               | 2019/1/23     |
| 399296      | 创成长                | 2019/1/23     |
| 399298      | 深证中高等级信用债指数        | 2014/9/25     |
| 399299      | 深证中低等级信用债指数        | 2014/9/25     |
| 399300      | 沪深300              | 2005/4/8      |
| 399301      | 深信用债               | 2013/1/11     |
| 399302      | 深公司债               | 2013/1/11     |
| 399303      | 国证2000             | 2014/3/28     |
| 399305      | 基金指数               | 2000/7/3      |
| 399306      | 深证ETF              | 2011/12/2     |
| 399307      | 深证转债               | 2014/8/27     |
| 399310      | 国证50               | 2005/9/5      |
| 399311      | 国证1000             | 2005/2/3      |
| 399312      | 国证300              | 2005/2/3      |
| 399313      | 巨潮100              | 2005/2/3      |
| 399314      | 巨潮大盘               | 2005/2/3      |
| 399315      | 巨潮中盘               | 2005/2/3      |
| 399316      | 巨潮小盘               | 2005/2/3      |
| 399317      | 国证A指               | 2005/2/3      |
| 399318      | 巨潮B股指数             | 2005/2/3      |
| 399319      | 资源优势               | 2005/1/4      |
| 399320      | 国证服务               | 2005/1/4      |
| 399321      | 国证红利               | 2005/1/4      |
| 399322      | 国证治理               | 2005/12/12    |
| 399324      | 深证红利               | 2006/1/24     |
| 399326      | 成长40               | 2006/1/24     |
| 399328      | 深证治理               | 2006/1/24     |
| 399330      | 深证100              | 2006/1/24     |
| 399332      | 深证创新\(旧\)          | 2006/2/27     |
| 399333      | 中小板R               | 2006/12/27    |
| 399335      | 深证央企               | 2009/8/3      |
| 399337      | 深证民营               | 2009/8/3      |
| 399339      | 深证科技               | 2009/8/3      |
| 399341      | 深证责任               | 2009/8/3      |
| 399344      | 深证300R             | 2009/11/4     |
| 399346      | 深证成长               | 2009/11/4     |
| 399348      | 深证价值               | 2009/11/4     |
| 399350      | 皖江30               | 2012/12/18    |
| 399351      | 深报指数               | 2004/9/1      |
| 399352      | 深报综指               | 2005/2/3      |
| 399353      | 国证物流               | 2005/3/1      |
| 399354      | 分析师指数              | 2006/11/25    |
| 399355      | 长三角                | 2007/7/2      |
| 399356      | 珠三角                | 2007/7/2      |
| 399357      | 环渤海                | 2007/7/2      |
| 399358      | 泰达指数               | 2008/1/2      |
| 399359      | 国证基建               | 2009/8/3      |
| 399360      | 国证装备               | 2009/8/3      |
| 399361      | 国证商业               | 2009/8/3      |
| 399362      | 国证民营               | 2009/8/3      |
| 399363      | 计算机指               | 2009/8/3      |
| 399364      | 中金消费               | 2009/8/3      |
| 399365      | 国证农业               | 2009/11/4     |
| 399366      | 国证大宗               | 2009/11/4     |
| 399367      | 巨潮地产               | 2009/11/4     |
| 399368      | 国证军工               | 2009/11/4     |
| 399369      | CBN\-兴全            | 2009/11/4     |
| 399370      | 国证成长               | 2010/1/4      |
| 399371      | 国证价值               | 2010/1/4      |
| 399372      | 大盘成长               | 2010/1/4      |
| 399373      | 大盘价值               | 2010/1/4      |
| 399374      | 中盘成长               | 2010/1/4      |
| 399375      | 中盘价值               | 2010/1/4      |
| 399376      | 小盘成长               | 2010/1/4      |
| 399377      | 小盘价值               | 2010/1/4      |
| 399378      | 南方低碳               | 2010/9/20     |
| 399379      | 国证基金               | 2011/12/2     |
| 399380      | 国证ETF              | 2011/12/2     |
| 399381      | 1000能源             | 2011/12/2     |
| 399382      | 1000材料             | 2011/12/2     |
| 399383      | 1000工业             | 2011/12/2     |
| 399384      | 1000可选             | 2011/12/2     |
| 399385      | 1000消费             | 2011/12/2     |
| 399386      | 1000医药             | 2011/12/2     |
| 399387      | 1000金融             | 2011/12/2     |
| 399388      | 1000信息             | 2011/12/2     |
| 399389      | 国证通信               | 2011/12/2     |
| 399390      | 1000公用             | 2011/12/2     |
| 399391      | 投资时钟               | 2012/3/26     |
| 399392      | 国证新兴               | 2012/3/28     |
| 399393      | 国证地产               | 2012/8/20     |
| 399394      | 国证医药               | 2012/10/29    |
| 399395      | 国证有色               | 2012/10/29    |
| 399396      | 国证食品               | 2012/10/29    |
| 399397      | OCT文化              | 2012/11/9     |
| 399398      | 绩效指数               | 2012/11/19    |
| 399399      | 中经GDP              | 2012/11/23    |
| 399400      | 大中盘                | 2013/3/20     |
| 399401      | 中小盘                | 2013/3/20     |
| 399402      | 周期100              | 2013/10/28    |
| 399403      | 防御100              | 2013/10/28    |
| 399404      | 大盘低波               | 2013/12/5     |
| 399405      | 大盘高贝               | 2013/12/5     |
| 399406      | 中盘低波               | 2013/12/5     |
| 399407      | 中盘高贝               | 2013/12/5     |
| 399408      | 小盘低波               | 2013/12/5     |
| 399409      | 小盘高贝               | 2013/12/5     |
| 399410      | 苏州率先               | 2013/12/12    |
| 399411      | 红利100              | 2014/4/10     |
| 399412      | 国证新能               | 2014/5/16     |
| 399413      | 国证转债               | 2014/8/27     |
| 399415      | I100               | 2014/9/12     |
| 399416      | I300               | 2014/9/12     |
| 399417      | 国证新能源汽车指数          | 2014/9/24     |
| 399418      | 国证国家安全指数           | 2014/11/21    |
| 399419      | 国证高铁指数             | 2014/12/10    |
| 399420      | 国证保险证券指数           | 2014/12/10    |
| 399423      | 中关村50指数            | 2015/2/5      |
| 399427      | 国证德高行专利领先指数        | 2015/2/17     |
| 399428      | 国证定向增发指数           | 2015/2/17     |
| 399429      | 新丝路指数              | 2015/1/8      |
| 399431      | 国证银行行业指数           | 2014/12/30    |
| 399432      | 国证汽车与汽车零配件行业指数     | 2014/12/30    |
| 399433      | 国证交通运输行业指数         | 2014/12/30    |
| 399434      | 国证传媒行业指数           | 2014/12/30    |
| 399435      | 国证农牧渔产品行业指数        | 2014/12/30    |
| 399436      | 国证煤炭行业指数           | 2014/12/30    |
| 399437      | 国证证券行业指数           | 2014/12/30    |
| 399438      | 国证电力公用事业行业指数       | 2014/12/30    |
| 399439      | 国证石油天然气行业指数        | 2014/12/30    |
| 399440      | 国证黑色金属行业指数         | 2014/12/30    |
| 399441      | 国证生物医药指数           | 2015/1/20     |
| 399481      | 企债指数               | 2003/1/2      |
| 399550      | 央视50               | 2012/6/6      |
| 399551      | 央视创新               | 2013/6/6      |
| 399552      | 央视成长               | 2013/6/6      |
| 399553      | 央视回报               | 2013/6/6      |
| 399554      | 央视治理               | 2013/6/6      |
| 399555      | 央视责任               | 2013/6/6      |
| 399556      | 央视生态               | 2014/6/6      |
| 399557      | 央视文化               | 2014/6/6      |
| 399602      | 中小成长               | 2010/5/24     |
| 399604      | 中小价值               | 2010/5/24     |
| 399606      | 创业板R               | 2010/6/1      |
| 399608      | 科技100              | 2010/10/18    |
| 399610      | TMT50              | 2010/11/8     |
| 399611      | 中创100R             | 2011/2/28     |
| 399612      | 中创100              | 2011/2/28     |
| 399613      | 深证能源               | 2011/6/15     |
| 399614      | 深证材料               | 2011/6/15     |
| 399615      | 深证工业               | 2011/6/15     |
| 399616      | 深证可选               | 2011/6/15     |
| 399617      | 深证消费               | 2011/6/15     |
| 399618      | 深证医药               | 2011/6/15     |
| 399619      | 深证金融               | 2011/6/15     |
| 399620      | 深证信息               | 2011/6/15     |
| 399621      | 深证电信               | 2011/6/15     |
| 399622      | 深证公用               | 2011/6/15     |
| 399623      | 中小基础               | 2011/7/25     |
| 399624      | 中创400              | 2011/8/15     |
| 399625      | 中创500              | 2011/8/15     |
| 399626      | 中创成长               | 2011/8/15     |
| 399627      | 中创价值               | 2011/8/15     |
| 399628      | 700成长              | 2011/9/1      |
| 399629      | 700价值              | 2011/9/1      |
| 399630      | 1000成长             | 2011/9/1      |
| 399631      | 1000价值             | 2011/9/1      |
| 399632      | 深100EW             | 2011/10/28    |
| 399633      | 深300EW             | 2011/10/28    |
| 399634      | 中小板EW              | 2011/10/28    |
| 399635      | 创业板EW              | 2011/10/28    |
| 399636      | 深证装备               | 2011/11/15    |
| 399637      | 深证地产               | 2011/11/15    |
| 399638      | 深证环保               | 2011/11/15    |
| 399639      | 深证大宗               | 2011/11/15    |
| 399640      | 创业基础               | 2012/1/16     |
| 399641      | 深证新兴               | 2012/2/1      |
| 399642      | 中小新兴               | 2012/2/1      |
| 399643      | 创业新兴               | 2012/2/1      |
| 399644      | 深证时钟               | 2012/3/26     |
| 399645      | 100低波              | 2012/6/12     |
| 399646      | 深消费50              | 2012/8/6      |
| 399647      | 深医药50              | 2012/8/6      |
| 399648      | 深证GDP              | 2012/8/8      |
| 399649      | 中小红利               | 2012/8/20     |
| 399650      | 中小治理               | 2012/8/20     |
| 399651      | 中小责任               | 2012/8/20     |
| 399652      | 中创高新               | 2012/9/17     |
| 399653      | 深证龙头               | 2012/9/25     |
| 399654      | 深证文化               | 2012/11/9     |
| 399655      | 深证绩效               | 2012/11/19    |
| 399656      | 100绩效              | 2012/11/19    |
| 399657      | 300绩效              | 2012/11/19    |
| 399658      | 中小绩效               | 2012/11/19    |
| 399659      | 深成指EW              | 2012/11/23    |
| 399660      | 中创EW               | 2012/11/23    |
| 399661      | 深证低波               | 2012/12/20    |
| 399662      | 深证高贝               | 2012/12/20    |
| 399663      | 中小低波               | 2012/12/20    |
| 399664      | 中小高贝               | 2012/12/20    |
| 399665      | 中创低波               | 2012/12/20    |
| 399666      | 中创高贝               | 2012/12/20    |
| 399667      | 创业板G               | 2013/1/7      |
| 399668      | 创业板V               | 2013/1/7      |
| 399669      | 深证农业               | 2013/6/24     |
| 399670      | 深周期50              | 2013/10/28    |
| 399671      | 深防御50              | 2013/10/28    |
| 399672      | 深红利50              | 2014/4/10     |
| 399673      | 创业板50              | 2014/6/18     |
| 399674      | 深A医药卫生指数           | 2015/6/8      |
| 399675      | 深A软件与互联网指数         | 2015/6/8      |
| 399676      | 深A医药卫生等权指数         | 2015/6/8      |
| 399677      | 深A软件与互联网等权指数       | 2015/6/8      |
| 399678      | 深证次新股指数            | 2015/6/18     |
| 399679      | 深证200指数            | 2015/6/18     |
| 399680      | 深成能源行业指数           | 2015/8/31     |
| 399681      | 深成原材料行业指数          | 2015/8/31     |
| 399682      | 深成工业行业指数           | 2015/8/31     |
| 399683      | 深成可选消费行业指数         | 2015/8/31     |
| 399684      | 深成主要消费行业指数         | 2015/8/31     |
| 399685      | 深成医药卫生行业指数         | 2015/8/31     |
| 399686      | 深成金融地产行业指数         | 2015/8/31     |
| 399687      | 深成信息技术行业指数         | 2015/8/31     |
| 399688      | 深成电信业务行业指数         | 2015/8/31     |
| 399689      | 深成公用事业行业指数         | 2015/8/31     |
| 399690      | 深证中小板专利领先指数        | 2016/5/23     |
| 399691      | 深证创业板专利领先指数        | 2016/5/23     |
| 399692      | 创业300低波动率指数        | 2016/12/20    |
| 399693      | 安防产业               | 2016/6/20     |
| 399694      | 创业高贝               | 2016/12/20    |
| 399695      | 深证节能环保指数           | 2017/4/28     |
| 399696      | 深证创投               | 2016/10/21    |
| 399697      | 中关村60              | 2017/1/10     |
| 399698      | 深证优势成长             | 2017/6/15     |
| 399699      | 金融科技               | 2017/6/9      |
| 399701      | 深证F60              | 2010/5/10     |
| 399702      | 深证F120             | 2010/5/10     |
| 399703      | 深证F200             | 2010/5/10     |
| 399704      | 深证上游               | 2011/10/18    |
| 399705      | 深证中游               | 2011/10/18    |
| 399706      | 深证下游               | 2011/10/18    |
| 399707      | 中证申万证券行业指数         | 2015/4/16     |
| 399802      | 500深市              | 2012/9/5      |
| 399803      | 中证工业4\.0指数         | 2015/3/10     |
| 399804      | 中证体育产业指数           | 2015/2/9      |
| 399805      | 中证互联网金融指数          | 2015/2/10     |
| 399806      | 中证环境治理指数           | 2014/7/21     |
| 399807      | 中证高铁产业指数           | 2015/1/20     |
| 399808      | 中证新能源指数            | 2015/2/10     |
| 399809      | 中证方正富邦保险主题指数       | 2015/2/13     |
| 399810      | 中证申万传媒行业投资指数       | 2015/8/3      |
| 399811      | 中证申万电子行业投资指数       | 2015/8/3      |
| 399812      | 中证养老产业指数           | 2014/6/6      |
| 399813      | 中证国防安全指数           | 2015/1/29     |
| 399814      | 中证大农业指数            | 2014/7/22     |
| 399817      | 中证阿拉善生态主题100指数     | 2015/10/21    |
| 399901      | 中证南方小康产业指数         | 2010/4/1      |
| 399902      | 中证流通指数             | 2006/2/27     |
| 399903      | 中证100指数            | 2006/5/29     |
| 399904      | 中证中盘200指数          | 2007/1/15     |
| 399905      | 中证500              | 2007/1/15     |
| 399906      | 中证800指数            | 2007/1/15     |
| 399907      | 中证中小盘700指数         | 2007/1/15     |
| 399908      | 沪深300能源指数          | 2007/7/2      |
| 399909      | 沪深300原材料指数         | 2007/7/2      |
| 399910      | 沪深300工业指数          | 2007/7/2      |
| 399911      | 沪深300可选消费指数        | 2007/7/2      |
| 399912      | 沪深300主要消费指数        | 2007/7/2      |
| 399913      | 沪深300医药卫生指数        | 2007/7/2      |
| 399914      | 沪深300金融地产指数        | 2007/7/2      |
| 399915      | 沪深300信息技术指数        | 2007/7/2      |
| 399916      | 沪深300电信业务指数        | 2007/7/2      |
| 399917      | 沪深300公用事业指数        | 2007/7/2      |
| 399918      | 沪深300成长指数          | 2008/1/21     |
| 399919      | 沪深300价值指数          | 2008/1/21     |
| 399920      | 沪深300相对成长指数        | 2008/1/21     |
| 399922      | 中证红利指数             | 2008/5/26     |
| 399923      | 公司债                | 2008/11/19    |
| 399925      | 中证锐联基本面50指数        | 2009/2/26     |
| 399926      | 中证中央企业综合指数         | 2009/3/30     |
| 399927      | 中证中央企业100指数        | 2009/3/30     |
| 399928      | 中证能源指数             | 2009/7/3      |
| 399929      | 中证原材料指数            | 2009/7/3      |
| 399930      | 中证工业指数             | 2009/7/3      |
| 399931      | 中证可选消费指数           | 2009/7/3      |
| 399932      | 中证主要消费指数           | 2009/7/3      |
| 399933      | 中证医药卫生指数           | 2009/7/3      |
| 399934      | 中证金融地产指数           | 2009/7/3      |
| 399935      | 中证信息技术指数           | 2009/7/3      |
| 399936      | 中证电信业务指数           | 2009/7/3      |
| 399937      | 中证公用事业指数           | 2009/7/3      |
| 399938      | 中证民营企业综合指数         | 2009/8/25     |
| 399939      | 中证民营企业200指数        | 2009/8/25     |
| 399940      | 中证财富大盘指数           | 2009/9/25     |
| 399941      | 中证内地新能源主题指数        | 2009/10/28    |
| 399942      | 中证内地消费主题指数         | 2009/10/28    |
| 399943      | 中证内地基建主题指数         | 2009/10/28    |
| 399944      | 中证内地资源主题指数         | 2009/10/28    |
| 399945      | 中证内地运输主题指数         | 2009/10/28    |
| 399946      | 中证内地金融主题指数         | 2009/10/28    |
| 399947      | 中证内地银行主题指数         | 2009/10/28    |
| 399948      | 中证内地地产主题指数         | 2009/10/28    |
| 399949      | 中证内地农业主题指数         | 2009/10/28    |
| 399950      | 沪深300基建主题指数        | 2009/10/28    |
| 399951      | 沪深300银行指数          | 2009/10/28    |
| 399952      | 沪深300地产指数          | 2009/10/28    |
| 399953      | 中证地方国有企业综合指数       | 2010/2/9      |
| 399954      | 中证地方国有企业100指数      | 2010/2/9      |
| 399955      | 中证国有企业综合指数         | 2010/2/9      |
| 399956      | 中证国有企业200指数        | 2010/2/9      |
| 399957      | 沪深300运输指数          | 2009/6/16     |
| 399958      | 中证创业成长指数           | 2010/3/24     |
| 399959      | 军工指数               | 2011/8/30     |
| 399960      | 中证龙头企业指数           | 2010/2/9      |
| 399961      | 中证上游资源产业指数         | 2010/4/16     |
| 399962      | 中证中游制造产业指数         | 2010/4/16     |
| 399963      | 中证下游消费与服务产业指数      | 2010/4/16     |
| 399964      | 中证新兴产业指数           | 2010/4/30     |
| 399965      | 800地产              | 2014/4/4      |
| 399966      | 800非银              | 2014/4/4      |
| 399967      | 中证军工               | 2013/12/26    |
| 399968      | 沪深300周期行业指数        | 2010/5/28     |
| 399969      | 沪深300非周期行业指数       | 2010/5/28     |
| 399970      | 中证移动互联网指数          | 2014/5/5      |
| 399971      | 中证传媒指数             | 2014/4/15     |
| 399972      | 300深市              | 2012/6/21     |
| 399973      | 中证国防指数             | 2014/4/15     |
| 399974      | 中证国有企业改革指数         | 2014/8/7      |
| 399975      | 中证全指证券公司指数\(四级行业\) | 2013/7/15     |
| 399976      | 中证新能源汽车指数          | 2014/11/28    |
| 399977      | 中证内地低碳经济主题指数       | 2011/1/21     |
| 399978      | 中证医药100指数          | 2011/3/18     |
| 399979      | 中证大宗商品股票指数         | 2011/8/22     |
| 399980      | 中证超级大盘指数           | 2011/5/10     |
| 399981      | 沪深300行业分层等权重指数     | 2011/6/13     |
| 399982      | 中证500等权重指数         | 2011/6/13     |
| 399983      | 沪深300地产等权重指数       | 2013/11/22    |
| 399984      | 沪深300等权重指数         | 2011/8/2      |
| 399985      | 中证全指指数             | 2011/8/2      |
| 399986      | 中证银行指数             | 2013/7/15     |
| 399987      | 中证酒指数              | 2014/12/10    |
| 399989      | 中证医疗指数             | 2014/10/31    |
| 399990      | 中证煤炭等权指数           | 2015/1/21     |
| 399991      | 中证一带一路主题指数         | 2015/2/16     |
| 399992      | 中证万得并购重组指数         | 2015/5/8      |
| 399993      | 中证万得生物科技指数         | 2015/5/8      |
| 399994      | 中证信息安全主题指数         | 2015/3/12     |
| 399995      | 中证基建工程指数           | 2015/3/12     |
| 399996      | 中证智能家居指数           | 2014/9/17     |
| 399997      | 中证白酒指数             | 2015/1/21     |
| 399998      | 中证煤炭指数             | 2015/2/13     |

输出参数

| 名称   | 类型     | 描述      |
|------|--------|---------|
| 品种代码 | object | 股票代码    |
| 品种名称 | object | 股票名称    |
| 纳入日期 | object | 成份股纳入日期 |

接口示例

```python
import akshare as ak

index_stock_cons_df = ak.index_stock_cons(symbol="000300")
print(index_stock_cons_df)
```

数据示例

```
     品种代码  品种名称        纳入日期
0    603501  韦尔股份  2019-12-16
1    600989  宝丰能源  2019-12-16
2    000723  美锦能源  2019-12-16
3    601236  红塔证券  2019-12-16
4    603899  晨光文具  2019-12-16
..      ...   ...         ...
295  000157  中联重科  2005-04-08
296  000069  华侨城A  2005-04-08
297  000063  中兴通讯  2005-04-08
298  000001  深发展A  2005-04-08
299  000002   万科A  2005-04-08
```

输出参数-按市场归类

| 名称   | 类型     | 描述      |
|------|--------|---------|
| 品种代码 | object | 股票代码    |
| 品种名称 | object | 股票名称    |
| 纳入日期 | object | 成份股纳入日期 |

接口示例-按市场归类

```python
import akshare as ak

index_stock_cons_df = ak.index_stock_cons(symbol="000300")  # 主要调用 ak.stock_a_code_to_symbol() 来进行转换
index_stock_cons_df['symbol'] = index_stock_cons_df['品种代码'].apply(ak.stock_a_code_to_symbol)
print(index_stock_cons_df)
```

数据示例-按市场归类

```
      品种代码  品种名称  纳入日期    symbol
0   000688  国城矿业  2020-12-14  sz000688
1   002409  雅克科技  2020-12-14  sz002409
2   002683  宏大爆破  2020-12-14  sz002683
3   002709  天赐材料  2020-12-14  sz002709
4   002064  华峰氨纶  2020-06-15  sz002064
5   002458  益生股份  2020-06-15  sz002458
6   002812  恩捷股份  2019-12-16  sz002812
7   002128  露天煤业  2019-12-16  sz002128
8   002080  中材科技  2019-12-16  sz002080
9   000708  中信特钢  2019-12-16  sz000708
10  002157  正邦科技  2019-06-17  sz002157
11  000723  美锦能源  2019-06-17  sz000723
12  000629  攀钢钒钛  2019-06-17  sz000629
13  000930  中粮生化  2019-01-02  sz000930
14  000860  顺鑫农业  2019-01-02  sz000860
15  002110  三钢闽光  2018-07-02  sz002110
16  002078  太阳纸业  2018-07-02  sz002078
17  000703  恒逸石化  2018-07-02  sz000703
18  000830  鲁西化工  2018-01-02  sz000830
19  300618  寒锐钴业  2018-01-02  sz300618
20  002408  齐翔腾达  2017-07-03  sz002408
21  300498  温氏股份  2017-01-03  sz300498
22  002299  圣农发展  2016-07-01  sz002299
23  000959  首钢股份  2016-07-01  sz000959
24  000807  云铝股份  2016-07-01  sz000807
25  002221  东华能源  2016-01-04  sz002221
26  000898  鞍钢股份  2014-07-01  sz000898
27  002340   格林美  2014-01-02  sz002340
28  002311  海大集团  2014-01-02  sz002311
29  002385   大北农  2012-07-02  sz002385
30  000876   新希望  2012-01-04  sz000876
31  000998  隆平高科  2011-11-15  sz000998
32  000983  西山煤电  2011-11-15  sz000983
33  000960  锡业股份  2011-11-15  sz000960
34  000878  云南铜业  2011-11-15  sz000878
35  000825  太钢不锈  2011-11-15  sz000825
36  000778  新兴铸管  2011-11-15  sz000778
37  000709  河北钢铁  2011-11-15  sz000709
38  000630  铜陵有色  2011-11-15  sz000630
39  000060  中金岭南  2011-11-15  sz000060
```

#### 中证指数成份股

接口: index_stock_cons_csindex

目标地址: http://www.csindex.com.cn/zh-CN/indices/index-detail/000300

描述: 中证指数网站-成份股目录

输入参数

| 名称     | 类型  | 描述                    |
|--------|-----|-----------------------|
| symbol | str | symbol="000300"; 指数代码 |

输出参数

| 名称      | 类型     | 描述  |
|---------|--------|-----|
| 日期      | object | -   |
| 指数代码    | object | -   |
| 指数名称    | object | -   |
| 指数英文名称  | object | -   |
| 成分券代码   | object | -   |
| 成分券名称   | object | -   |
| 成分券英文名称 | object | -   |
| 交易所     | object | -   |
| 交易所英文名称 | object | -   |

示例代码

```python
import akshare as ak

index_stock_cons_csindex_df = ak.index_stock_cons_csindex(symbol="931463")
print(index_stock_cons_csindex_df)
```

数据示例

```
         日期    指数代码  ...      交易所             交易所英文名称
0    2021-12-30  000300  ...  深圳证券交易所  Shenzhen  Exchange
1    2021-12-30  000300  ...  深圳证券交易所  Shenzhen  Exchange
2    2021-12-30  000300  ...  上海证券交易所  Shanghai  Exchange
3    2021-12-30  000300  ...  上海证券交易所  Shanghai  Exchange
4    2021-12-30  000300  ...  深圳证券交易所  Shenzhen  Exchange
..          ...     ...  ...      ...                 ...
295  2021-12-30  000300  ...  深圳证券交易所  Shenzhen  Exchange
296  2021-12-30  000300  ...  上海证券交易所  Shanghai  Exchange
297  2021-12-30  000300  ...  深圳证券交易所  Shenzhen  Exchange
298  2021-12-30  000300  ...  上海证券交易所  Shanghai  Exchange
299  2021-12-30  000300  ...  深圳证券交易所  Shenzhen  Exchange
```

#### 中证指数成份股权重

接口: index_stock_cons_weight_csindex

目标地址: http://www.csindex.com.cn/zh-CN/indices/index-detail/000300

描述: 中证指数网站-成份股权重

输入参数

| 名称     | 类型  | 描述                    |
|--------|-----|-----------------------|
| symbol | str | symbol="000300"; 指数代码 |

输出参数

| 名称      | 类型      | 描述 |
|---------|---------|--|
| 日期      | object  | - |
| 指数代码    | object  | - |
| 指数名称    | object  | - |
| 指数英文名称  | object  | - |
| 成分券代码   | object  | - |
| 成分券名称   | object  | - |
| 成分券英文名称 | object  | - |
| 交易所     | object  | - |
| 交易所英文名称 | object  | - |
| 权重      | float64 | 注意单位: % |

示例代码

```python
import akshare as ak

index_stock_cons_weight_csindex_df = ak.index_stock_cons_weight_csindex(symbol="000300")
print(index_stock_cons_weight_csindex_df)
```

数据示例

```
      日期    指数代码   指数名称  ...         交易所                  交易所英文名称     权重
0    2021-11-30  000300  沪深300  ...  深圳证券交易所_股票  Shenzhen Stock Exchange  0.838
1    2021-11-30  000300  沪深300  ...  深圳证券交易所_股票  Shenzhen Stock Exchange  0.584
2    2021-11-30  000300  沪深300  ...  上海证券交易所_股票  Shanghai Stock Exchange  0.217
3    2021-11-30  000300  沪深300  ...  上海证券交易所_股票  Shanghai Stock Exchange  0.104
4    2021-11-30  000300  沪深300  ...  上海证券交易所_股票  Shanghai Stock Exchange  1.124
..          ...     ...    ...  ...         ...                      ...    ...
295  2021-11-30  000300  沪深300  ...  上海证券交易所_股票  Shanghai Stock Exchange  0.074
296  2021-11-30  000300  沪深300  ...  上海证券交易所_股票  Shanghai Stock Exchange  0.085
297  2021-11-30  000300  沪深300  ...  上海证券交易所_股票  Shanghai Stock Exchange  0.040
298  2021-11-30  000300  沪深300  ...  上海证券交易所_股票  Shanghai Stock Exchange  0.022
299  2021-11-30  000300  沪深300  ...  上海证券交易所_股票  Shanghai Stock Exchange  0.063
```

#### 历史成份

接口: index_stock_hist

目标地址: http://stock.jrj.com.cn/share,sh000300,2015nlscf_2.shtml

描述: 金融界-股票指数的历史成份股票信息

输入参数

| 名称     | 类型  | 描述                            |
|--------|-----|-------------------------------|
| symbol | str | symbol="sh000300"; 带市场前缀的指数代码 |

```python
import akshare as ak

stock_index_hist_df = ak.index_stock_hist(symbol="sh000001")
print(stock_index_hist_df)
```

输出参数

| 名称         | 类型     | 描述   |
|------------|--------|------|
| stock_code | object | 股票代码 |
| in_date    | object | 进入时间 |
| out_date   | object | 退出时间 |

数据示例

```
   stock_code     in_date    out_date
0      000630  2005-04-08  2020-06-15
1      002294  2017-12-11  2020-06-15
2      300070  2014-12-15  2020-06-15
3      002411  2017-06-12  2020-06-15
4      600100  2005-04-08  2020-06-15
..        ...         ...         ...
20     600489  2005-04-08  2005-07-01
21     000562  2005-04-08  2005-07-01
22     600757  2005-04-08  2005-07-01
23     600748  2005-04-08  2005-07-01
24     600271  2005-04-08  2005-07-01
```

### 国证指数

#### 全部指数

接口: index_all_cni

目标地址: http://www.cnindex.com.cn/zh_indices/sese/index.html?act_menu=1&index_type=-1

描述: 国证指数-最近交易日的所有指数的代码和基本信息

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述                               |
|--------|---------|----------------------------------|
| 指数代码   | object  | -                                |
| 指数简称   | object  | -                                |
| 样本数    | int64   | -                                |
| 收盘点位   | float64 | -                                |
| 涨跌幅    | float64 | -                                |
| PE滚动   | float64 | -                                |
| 成交量    | float64 | 注意单位: 债券指数成交量单位为亿张，非债券指数成交量单位为万手 |
| 成交额    | float64 | 注意单位: 亿元                         |
| 总市值    | float64 | 注意单位: 亿元                         |
| 自由流通市值 | float64 | 注意单位: 亿元                         |

接口示例

```python
import akshare as ak

index_all_cni_df = ak.index_all_cni()
print(index_all_cni_df)
```

数据示例

```
        指数代码          指数简称  样本数  ...     成交额       总市值         自由流通市值
0       399001          深证成指  500  ...  2688.670489  268279.167557  132450.782860
1       399002          深成指R  500  ...  2688.670489  268279.167557  132450.782860
2       399003          成份B指   10  ...     0.214070            NaN            NaN
3       399004        深证100R  100  ...  1172.363209  161878.002203   78936.109204
4       399005         中小100  100  ...   703.432288   81516.146527   39554.742388
        ...           ...  ...  ...          ...            ...            ...
1136  CNB20013   高等级绿色债券（全价）    0  ...          NaN            NaN            NaN
1137  CNB20014  高等级非贴标绿债（全价）    0  ...          NaN            NaN            NaN
1138  CNB20015   高等级贴标绿债（全价）    0  ...          NaN            NaN            NaN
1139      CNYR       人民币实际指数    0  ...     0.000000            NaN            NaN
1140      CNYX         人民币指数    0  ...     0.000000            NaN            NaN
```

#### 指数行情

接口: index_hist_cni

目标地址: http://www.cnindex.com.cn/module/index-detail.html?act_menu=1&indexCode=399001

描述: 国证指数-具体指数的日频率行情数据

输入参数

| 名称     | 类型  | 描述                                                 |
|--------|-----|----------------------------------------------------|
| symbol | str | symbol="399005"; 从 **ak.index_all_cni()** 接口获取指数代码 |

输出参数

| 名称  | 类型      | 描述 |
|-----|---------|--|
| 日期  | object  | - |
| 开盘价 | float64 | - |
| 最高价 | float64 | - |
| 最低价 | float64 | - |
| 收盘价 | float64 | - |
| 涨跌幅 | float64 | - |
| 成交量 | float64 | 注意单位: 万手 |
| 成交额 | float64 | 注意单位: 亿元 |

接口示例

```python
import akshare as ak

index_hist_cni_df = ak.index_hist_cni(symbol="399005")
print(index_hist_cni_df)
```

数据示例

```
      日期         开盘价    最高价    最低价    收盘价    涨跌幅   成交量      成交额
0     2020-11-30  9063.78  9118.59  8988.38  9042.47  0.0016  14140.85  1808.14
1     2020-11-27  8966.50  9028.19  8917.51  9028.19  0.0096  12107.15  1467.90
2     2020-11-26  8966.24  8991.66  8832.09  8942.48 -0.0022  12466.98  1544.96
3     2020-11-25  9126.53  9148.83  8960.07  8962.49 -0.0171  14709.35  1811.81
4     2020-11-24  9155.33  9164.62  9071.68  9118.20 -0.0033  14587.09  1843.87
          ...      ...      ...      ...      ...     ...       ...      ...
3602  2006-02-08  1459.67  1469.49  1446.54  1469.49  0.0038     60.96     5.37
3603  2006-02-07  1483.46  1485.69  1450.15  1463.92 -0.0124    102.62     9.35
3604  2006-02-06  1433.45  1482.33  1433.45  1482.33  0.0366     81.29     7.31
3605  2006-01-25  1456.09  1463.72  1414.46  1430.02 -0.0200    115.68     9.25
3606  2006-01-24  1457.22  1471.20  1446.44  1459.20     NaN     90.65     7.88
```

#### 指数样本详情

接口: index_detail_cni

目标地址: http://www.cnindex.com.cn/module/index-detail.html?act_menu=1&indexCode=399001

描述: 国证指数-指数样本详情数据

输入参数

| 名称     | 类型  | 描述                                                 |
|--------|-----|----------------------------------------------------|
| symbol | str | symbol='399005'; 从 **ak.index_all_cni()** 接口获取指数代码 |
| date   | str | date='202011'; 指定年月                                |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| 日期     | object  | -        |
| 样本代码   | object  | -        |
| 样本简称   | object  | -        |
| 所属行业   | object  | -        |
| 自由流通市值 | float64 | 注意单位: 亿元 |
| 总市值    | float64 | 注意单位: 亿元 |
| 权重     | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

index_detail_cni_df = ak.index_detail_cni(symbol='399005', date='202011')
print(index_detail_cni_df)
```

数据示例

```
     日期    样本代码  样本简称  所属行业   自由流通市值  总市值    权重
0   2020-11-30  002475  立讯精密  信息技术  2054.87  3618.18  6.79
1   2020-11-30  002415  海康威视  信息技术  1499.80  4267.87  4.95
2   2020-11-30  002594   比亚迪  可选消费  1317.61  3121.33  4.35
3   2020-11-30  002714  牧原股份  主要消费  1251.56  2885.83  4.13
4   2020-11-30  002352  顺丰控股    工业  1130.70  3645.15  3.74
..         ...     ...   ...   ...      ...      ...   ...
95  2020-11-30  002468  申通快递    工业    63.81   194.41  0.21
96  2020-11-30  002563  森马服饰  可选消费    57.12   240.36  0.19
97  2020-11-30  002399   海普瑞  医药卫生    52.09   233.35  0.17
98  2020-11-30  002901  大博医疗  医药卫生    27.70   277.90  0.09
99  2020-11-30  002966  苏州银行    金融    26.13   261.33  0.09
```

#### 历史样本

接口: index_detail_hist_cni

目标地址: http://www.cnindex.com.cn/module/index-detail.html?act_menu=1&indexCode=399001

描述: 国证指数-历史样本数据

输入参数

| 名称     | 类型  | 描述                                                           |
|--------|-----|--------------------------------------------------------------|
| symbol | str | symbol='399005'; 从 **ak.index_all_cni()** 接口获取指数代码           |
| date   | str | date='202201', 默认空返回所有数据; date="202201", 则返回 2022 年 1 月的全部数据 |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| 日期     | object  | -        |
| 样本代码   | object  | -        |
| 样本简称   | object  | -        |
| 所属行业   | object  | -        |
| 自由流通市值 | float64 | 注意单位: 亿元 |
| 总市值    | float64 | 注意单位: 亿元 |
| 权重     | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

index_detail_hist_cni_df = ak.index_detail_hist_cni(symbol='399005', date='202201')
print(index_detail_hist_cni_df)
```

数据示例

```
         日期    样本代码 样本简称  所属行业 自由流通市值  总市值    权重
0   2022-01-28  002475  立讯精密  信息技术  2019.85  3302.14  5.58
1   2022-01-28  002594   比亚迪  可选消费  1840.93  4112.21  5.09
2   2022-01-28  002415  海康威视  信息技术  1752.41  4430.77  4.84
3   2022-01-28  002142  宁波银行    金融  1332.60  2581.34  3.68
4   2022-01-28  002714  牧原股份  主要消费  1241.05  2872.72  3.43
..         ...     ...   ...   ...      ...      ...   ...
95  2022-01-28  003022  联泓新科   原材料    66.33   375.83  0.18
96  2022-01-28  003035  南网能源    工业    52.73   263.64  0.15
97  2022-01-28  002563  森马服饰  可选消费    48.03   188.05  0.13
98  2022-01-28  002945  华林证券    金融    37.72   377.19  0.10
99  2022-01-28  002901  大博医疗  医药卫生    19.99   195.24  0.06
```

#### 历史调样

接口: index_detail_hist_adjust_cni

目标地址: http://www.cnindex.com.cn/module/index-detail.html?act_menu=1&indexCode=399001

描述: 国证指数-样本详情-历史调样

输入参数

| 名称     | 类型  | 描述                                                 |
|--------|-----|----------------------------------------------------|
| symbol | str | symbol='399005'; 从 **ak.index_all_cni()** 接口获取指数代码 |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| 开始日期 | object | -   |
| 结束日期 | object | -   |
| 样本代码 | object | -   |
| 样本简称 | object | -   |
| 所属行业 | object | -   |
| 调整类型 | object | -   |

接口示例

```python
import akshare as ak

index_detail_hist_adjust_cni_df = ak.index_detail_hist_adjust_cni(symbol='399005')
print(index_detail_hist_adjust_cni_df)
```

数据示例

```
      开始日期     结束日期    样本代码   样本简称  所属行业 调整类型
0     2020-06-15  2020-12-11  002001  新 和 成  医药卫生  OLD
1     2020-06-15  2020-12-11  002007   华兰生物  医药卫生  OLD
2     2020-06-15  2020-12-11  002008   大族激光  信息技术  OLD
3     2020-06-15  2020-12-11  002010   传化智联    工业  OLD
4     2020-06-15  2020-12-11  002013   中航机电    工业  OLD
          ...         ...     ...    ...   ...  ...
1290  2016-01-04  2016-06-30  002657   中科金财  信息技术  OLD
1291  2016-01-04  2016-06-30  002673   西部证券    金融  OLD
1292  2016-01-04  2016-06-30  002701    奥瑞金   原材料  OLD
1293  2016-01-04  2016-06-30  002736   国信证券    金融  OLD
1294  2016-01-04  2016-06-30  002739   万达院线  可选消费    +
```

### 全球指数数据

接口: index_investing_global

目标地址: https://cn.investing.com/indices/

描述: 世界主要国家和地区的各种指数, 该接口需要通过代理访问; 由于涉及国家地区和指数(**1000** + 个指数)具体参见[国家和地区-指数目录](https://cn.investing.com/indices/world-indices?&majorIndices=on&primarySectors=on&additionalIndices=on&otherIndices=on)
具体的调用方式可以参照:

1. 先查询指数所在的国家或地区名称;
2. 复制网页上国家或地区名称(推荐复制), 如 **美国**;
3. 复制所显示的具体指数名称(推荐复制, 如果英文中间有空格, 也需要保留空格), 如 **美元指数**; 也可以调用 **ak.index_investing_global_area_index_name_code("美国")** 获取需要国家或地区的具体指数名称
4. 在安装 [AKShare](https://github.com/akfamily/akshare) 后输入, 如 **ak.index_investing_global(area="美国", symbol="VIX恐慌指数", period="每月", start_date="20050101", end_date="20200605")**;
5. 稍后就可以获得所需数据.

限量: 单次返回某一个国家或地区的具体某一个指数, 需要使用代理访问, 每次最大返回 5000 条, 想获取较长时间的历史数据请分时间段获取, 建议用 for 循环获取多个国家的多个指数, 注意不要大量获取, 以免给对方服务器造成压力!

输入参数

| 名称         | 类型  | 描述                                                                             |
|------------|-----|--------------------------------------------------------------------------------|
| area       | str | symbol="美国"                                                                    |
| symbol     | str | index_name="美元指数"; 可以通过 ak.index_investing_global_area_index_name_url("美国") 获取 |
| period     | str | period="每月"; choice of {"每日", "每周", "每月"}                                      |
| start_date | str | start_date='20000101'                                                          |
| end_date   | str | end_date='20191017'                                                            |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 日期  | object  | 日期      |
| 收盘  | float64 | 收盘价     |
| 开盘  | float64 | 开盘价     |
| 高   | float64 | 最高价     |
| 低   | float64 | 最低价     |
| 交易量 | float64 | 交易量     |
| 涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

index_investing_global_df = ak.index_investing_global(area="中国", symbol="富时中国A50指数", period="每日", start_date="20100101", end_date="20220808")
print(index_investing_global_df)
```

数据示例

```
              日期            收盘            开盘  ...             低  交易量       涨跌幅
0     2010-01-04  11836.679688  12024.530273  ...  11835.320312    0 -1.562228
1     2010-01-05  11948.570312  11836.679688  ...  11685.349609    0  0.945287
2     2010-01-06  11806.980469  11948.570312  ...  11803.150391    0 -1.184994
3     2010-01-07  11559.780273  11806.980469  ...  11491.139648    0 -2.093678
4     2010-01-08  11564.919922  11559.780273  ...  11396.639648    0  0.044461
          ...           ...           ...  ...           ...  ...       ...
3091  2022-08-02  13509.339844  13730.919922  ...  13406.169922    0 -1.613731
3092  2022-08-03  13360.059570  13509.339844  ...  13333.530273    0 -1.105015
3093  2022-08-04  13510.030273  13360.059570  ...  13360.059570    0  1.122530
3094  2022-08-05  13632.030273  13510.030273  ...  13456.919922    0  0.903033
3095  2022-08-08  13561.580078  13632.030273  ...  13523.009766    0 -0.516799
```

### 全球指数数据-URL版

接口: index_investing_global_from_url

目标地址: https://www.investing.com/indices/ftse-epra-nareit-eurozone

描述: 世界主要国家和地区的各种指数, 该接口需要通过代理访问; 该接口只需要输入相应指数的 URL 地址

限量: 单次返回某一个国家的具体某一个指数, 建议用 for 循环获取多个国家的多个指数, 注意不要大量获取, 以免给对方服务器造成压力!

输入参数

| 名称         | 类型  | 描述                                                                                |
|------------|-----|-----------------------------------------------------------------------------------|
| url        | str | url="https://www.investing.com/indices/ftse-epra-nareit-eurozone"; 具体指数的页面 URL 地址 |
| period     | str | period="每月"; choice of {"每日", "每周", "每月"}                                         |
| start_date | str | start_date='20000101'                                                             |
| end_date   | str | end_date='20191017'                                                               |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 日期  | object  | 日期      |
| 收盘  | float64 | 收盘价     |
| 开盘  | float64 | 开盘价     |
| 高   | float64 | 最高价     |
| 低   | float64 | 最低价     |
| 交易量 | float64 | 交易量     |
| 涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

index_investing_global_df = ak.index_investing_global_from_url(url="https://www.investing.com/indices/ftse-epra-nareit-hong-kong", period="每日", start_date="19900101", end_date="20210909")
print(index_investing_global_df)
```

数据示例

```
       日期       收盘       开盘        高        低  交易量
0     2010-05-18  1601.97  1582.11  1605.89  1571.07  0.0
1     2010-05-19  1577.06  1583.19  1594.69  1569.45  0.0
2     2010-05-20  1568.02  1585.58  1585.65  1541.22  0.0
3     2010-05-21  1565.46  1564.88  1565.74  1562.59  0.0
4     2010-05-24  1611.90  1555.62  1615.30  1555.62  0.0
          ...      ...      ...      ...      ...  ...
2959  2021-09-03  1803.02  1813.51  1819.92  1767.47  0.0
2960  2021-09-06  1792.55  1797.30  1799.81  1790.49  0.0
2961  2021-09-07  1798.50  1797.41  1802.65  1790.11  0.0
2962  2021-09-08  1799.42  1793.50  1806.87  1793.24  0.0
2963  2021-09-09  1803.44  1794.91  1819.65  1794.91  0.0
```

### 微博指数数据

接口: weibo_index

目标地址: https://data.weibo.com/index/newindex

描述: 获取指定 **word** 的微博指数

输入参数

| 名称        | 类型  | 必选  | 描述                                                 |
|-----------|-----|-----|----------------------------------------------------|
| word      | str | Y   | word="股票"                                          |
| time_type | str | Y   | time_type="1hour"; 1hour, 1day, 1month, 3month 选其一 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| date      | datetime   | Y        | 日期-索引  |
| index      | float   | Y        | 指数   |

接口示例

```python
import akshare as ak
weibo_index_df = ak.weibo_index(word="期货", time_type="3month")
print(weibo_index_df)
```

数据示例

```
             期货
index
20190901  13334
20190902  46214
20190903  49017
20190904  53229
20190905  68506
         ...
20191127  68081
20191128  42348
20191129  62141
20191130  23448
20191201  16169
```

### 百度搜索指数

接口: baidu_search_index

目标地址: http://index.baidu.com/v2/main/index.html

描述: 获取指定 **词语** 的百度搜索指数，注意该接口获取的数据跨度问题

输入参数

| 名称         | 类型  | 描述                                                     |
|------------|-----|--------------------------------------------------------|
| word       | str | word="股票"                                              |
| start_date | str | start_date="2010-12-27"                                |
| end_date   | str | end_date="2019-12-01"                                  |
| province   | str | province="全国"; 省份, 默认为 `全国`; 请按照百度指数提供的名称进行输入, 比如：`四川` |
| city       | str | city="全国"; 城市, 默认为 `全国`; 请按照百度指数提供的名称进行输入, 比如：`成都`     |
| cookie     | str | cookie="您在网页端登录百度指数后的 Cookie 数据"; 如下图所示                |
| text       | str | text="您在网页端登录百度指数后的 Cipher-Text 数据"; 如下图所示             |

如下图中游览器请求头中的蓝色选中部分内容到 cookie 参数 即可

![cookies](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/akshare/readme/index_baidu/cookies.png)

如下图中游览器请求头中的蓝色选中部分内容到 text 参数即可

![text](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/akshare/readme/index_baidu/text.png)

输出参数

| 名称    | 类型       | 描述    |
|-------|----------|-------|
| date  | datetime | 日期-索引 |
| index | float64  | 指数    |

接口示例

```python
import akshare as ak

cookie = '此处输入您在网页端登录百度指数后的 Cookie 数据'  # 此处请用单引号
text = '此处输入您在网页端登录百度指数后的 Cipher-Text 数据'
baidu_search_index_df = ak.baidu_search_index(word="螺纹钢", start_date='2010-12-27', end_date='2019-12-01', province="全国", city="全国", cookie=cookie ,text=text)
print(baidu_search_index_df)
```

数据示例

```
           index
date
2010-12-27   294
2011-01-03   494
2011-01-10   527
2011-01-17   462
2011-01-24   411
          ...
2019-10-28   706
2019-11-04   758
2019-11-11   810
2019-11-18   936
2019-11-25   924
```

### 百度资讯指数

接口: baidu_info_index

目标地址: http://index.baidu.com/v2/main/index.html

描述: 获取指定 **词语** 的百度资讯指数，注意该接口获取的数据跨度问题

输入参数

| 名称         | 类型  | 描述                                                              |
|------------|-----|-----------------------------------------------------------------|
| word       | str | word="股票"                                                       |
| start_date | str | start_date="2017-07-03"                                         |
| end_date   | str | end_date="2019-12-01"                                           |
| province   | str | province="全国"; 省份, 默认为 `全国`; 请按照百度指数提供的名称进行输入, 比如：`四川`          |
| city       | str | city="全国"; 城市, 默认为 `全国`; 请按照百度指数提供的名称进行输入, 比如：`成都`              |
| cookie     | str | cookie="您在网页端登录百度指数后的 cookie 数据"; 如下图所示                         |
| text       | str | text="您在网页端登录百度指数后的 Cipher-Text 数据"; 注意是 getFeedIndex 请求的 如下图所示 |

如下图中游览器请求头中的蓝色选中部分内容到 cookie 即可

![cookies](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/akshare/readme/index_baidu/cookies.png)

如下图中游览器请求头中的蓝色选中部分内容到 text 参数即可

![text](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/akshare/readme/index_baidu/text.png)

输出参数

| 名称    | 类型       | 描述    |
|-------|----------|-------|
| date  | datetime | 日期-索引 |
| index | float64  | 指数    |

接口示例

```python
import akshare as ak

cookie = '此处输入您在网页端登录百度指数后的 cookie 数据'  # 此处请用单引号
text = '此处输入您在网页端登录百度指数后的 Cipher-Text 数据'
baidu_info_index_df = ak.baidu_info_index(word="螺纹钢", start_date='2017-07-03', end_date='2019-12-01', province="全国", city="全国", cookie=cookie, text=text)
print(baidu_info_index_df)
```

数据示例

```
            index
date
2017-07-03  12727
2017-07-10  12670
2017-07-17   8722
2017-07-24   6054
2017-07-31  10763
           ...
2019-10-28  24363
2019-11-04  18594
2019-11-11  38890
2019-11-18  30896
2019-11-25  55445
```

### 百度媒体指数

接口: baidu_media_index

目标地址: http://index.baidu.com/v2/main/index.html

描述: 获取指定 **词语** 的百度媒体指数，注意该接口获取的数据跨度问题

输入参数

| 名称         | 类型  | 描述                                                     |
|------------|-----|--------------------------------------------------------|
| word       | str | word="股票"                                              |
| start_date | str | start_date="2010-12-27"                                |
| end_date   | str | end_date="2019-12-01"                                  |
| province   | str | province="全国"; 省份, 默认为 `全国`; 请按照百度指数提供的名称进行输入, 比如：`四川` |
| city       | str | city="全国"; 城市, 默认为 `全国`; 请按照百度指数提供的名称进行输入, 比如：`成都`     |
| cookie     | str | cookie="您在网页端登录百度指数后的 cookie 数据"; 如下图所示                |
| text       | str | text="您在网页端登录百度指数后的 Cipher-Text 数据"; 如下图所示             |

如下图中游览器请求头中的蓝色选中部分内容到 cookie 即可

![cookies](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/akshare/readme/index_baidu/cookies.png)

如下图中游览器请求头中的蓝色选中部分内容到 text 参数即可

![text](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/akshare/readme/index_baidu/text.png)

输出参数

| 名称    | 类型       | 描述    |
|-------|----------|-------|
| date  | datetime | 日期-索引 |
| index | float64  | 指数    |

接口示例

```python
import akshare as ak

cookie = '此处输入您在网页端登录百度指数后的 cookie 数据'  # 此处请用单引号
text = '此处输入您在网页端登录百度指数后的 Cipher-Text 数据'
baidu_media_index_df = ak.baidu_media_index(word="螺纹钢", start_date='2010-12-27', end_date='2019-12-01', province="全国", city="全国", cookie=cookie, text=text)
print(baidu_media_index_df)
```

数据示例

```
           index
date
2010-12-27     0
2011-01-03    13
2011-01-10    30
2011-01-17    33
2011-01-24    27
          ...
2019-10-28     5
2019-11-04     6
2019-11-11     4
2019-11-18     5
2019-11-25     8
```

### 谷歌趋势指数

接口: google_index

目标地址: https://trends.google.com/trends/?geo=US

描述: 获取指定 symbol 的谷歌趋势指数, 本接口需要通过代理访问

输入参数

| 名称         | 类型  | 描述                                                                                               |
|------------|-----|--------------------------------------------------------------------------------------------------|
| word       | str | word="python"                                                                                    |
| start_date | str | start_date="20040101", 如果要获取具体的实时分钟或小时数据, 请输入如 start_date="20191210T10" , end_date="20191210T23" |
| end_date   | str | end_date="20191201", 如果要获取具体的实时分钟或小时数据, 请输入如 start_date="20191210T10" , end_date="20191210T23"   |

**start_date="20191210T10"** 中的 **T10** 表示 10 点, 以 24 小时制计算, 2019年12月10日上午 **10** 点

**end_date="20191210T23"** 中的 **T10** 表示 23 点, 以 24 小时制计算, 2019年12月10日晚上 **23** 点

**中美时间会有一天左右时差**

输出参数

| 名称    | 类型     | 描述    |
|-------|--------|-------|
| date  | object | 日期-索引 |
| index | int32  | 指数    |

接口示例-长时间

```python
import akshare as ak

google_index_df = ak.google_index(symbol="python", start_date='20040101', end_date='20191201')
print(google_index_df)
```

数据示例-长时间

```
           date  python
0    2004-01-01      36
1    2004-02-01      35
2    2004-03-01      35
3    2004-04-01      34
4    2004-05-01      32
..          ...     ...
187  2019-08-01      87
188  2019-09-01      99
189  2019-10-01      98
190  2019-11-01     100
191  2019-12-01      86
```

接口示例-短时间

```python
import akshare as ak

google_index_df = df = ak.google_index(symbol="AI", start_date="20191210T10", end_date="20191210T23")
print(google_index_df)
```

数据示例-短时间

```
                  date  AI
0  2019-12-10 10:00:00  90
1  2019-12-10 10:08:00  89
2  2019-12-10 10:16:00  91
3  2019-12-10 10:24:00  96
4  2019-12-10 10:32:00  97
..                 ...  ..
93 2019-12-10 22:24:00  80
94 2019-12-10 22:32:00  79
95 2019-12-10 22:40:00  60
96 2019-12-10 22:48:00  60
97 2019-12-10 22:56:00  65
```

### 申万市场表征实时行情

接口: sw_index_representation_spot

目标地址: http://www.swsindex.com/idx0120.aspx?columnid=8831

描述: 申万市场表征实时行情, 历史行情及成分数据可以通过 ak.sw_index_cons, ak.sw_index_daily 和 ak.sw_index_daily_indicator 获取

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 指数代码 | object  |         |
| 指数名称 | object  |         |
| 昨收盘  | float64 |         |
| 今开盘  | float64 |         |
| 成交额  | float64 | 注意单位: 元 |
| 最高价  | float64 |         |
| 最低价  | float64 |         |
| 最新价  | float64 |         |
| 成交量  | int64   | 注意单位: 股 |

接口示例

```python
import akshare as ak
sw_index_representation_spot_df = ak.sw_index_representation_spot()
print(sw_index_representation_spot_df)
```

数据示例

```
   指数代码              指数名称      昨收盘  ...      最低价      最新价          成交量
0  801001  申万50                          3829.25  ...  3748.49  3768.97   3304203167
1  801002    申万中小                        8167.88  ...  8064.76  8159.07  17637463853
2  801003    申万Ａ指                        4503.94  ...  4438.91  4500.13  89836705893
3  801005    申万创业                        3535.58  ...  3485.84  3515.74  11172806887
4  801250    申万制造                        5449.53  ...  5373.05  5461.89  21389935712
5  801260    申万消费                        8026.88  ...  7881.15  7921.59   9661203563
6  801270    申万投资                        4647.62  ...  4591.18  4676.63  26090829454
7  801280    申万服务                        2789.29  ...  2742.62  2794.36  32259327742
8  801300    申万300指数                     3691.09  ...  3626.51  3659.20  18071877155
```

### 申万一级行业实时行情

接口: sw_index_spot

目标地址: http://www.swsindex.com/idx0120.aspx?columnid=8832

描述: 申万一级行业实时行情数据；该接口暂时不能使用

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 指数代码 | object  |         |
| 指数名称 | object  |         |
| 昨收盘  | float64 |         |
| 今开盘  | float64 |         |
| 成交额  | float64 | 注意单位: 元 |
| 最高价  | float64 |         |
| 最低价  | float64 |         |
| 最新价  | float64 |         |
| 成交量  | int64   | 注意单位: 股 |

接口示例

```python
import akshare as ak

sw_index_spot_df = ak.sw_index_spot()
print(sw_index_spot_df)
```

数据示例

```
    指数代码 指数名称   昨收盘     今开盘  ...     最高价     最低价     最新价       成交量
0   801010  农林牧渔   3537.94   3527.57  ...   3558.07   3513.12   3537.50  1407036103
1   801030  基础化工   5098.16   5091.72  ...   5092.92   5050.13   5063.36  5225612479
2   801040    钢铁   3008.85   2998.38  ...   3002.66   2951.93   2953.70  2744984048
3   801050  有色金属   6129.97   6101.70  ...   6101.71   5970.01   5987.81  4430429149
4   801080    电子   5581.39   5571.29  ...   5600.16   5545.67   5581.49  4700859434
5   801110  家用电器   8180.35   8147.04  ...   8147.06   8011.19   8020.42  1017012168
6   801120  食品饮料  28492.40  28402.34  ...  28840.84  28339.09  28661.23  1375894984
7   801130  纺织服饰   1816.50   1813.72  ...   1813.72   1806.05   1809.00   962242118
8   801140  轻工制造   2773.47   2770.66  ...   2784.74   2765.13   2777.10  1508147141
9   801150  医药生物  11201.85  11205.90  ...  11324.48  11205.78  11282.76  3020728414
10  801160  公用事业   2543.33   2529.70  ...   2559.08   2515.67   2556.48  4804423889
11  801170  交通运输   2408.02   2396.98  ...   2396.98   2372.19   2375.63  2363665713
12  801180   房地产   3306.40   3299.05  ...   3299.08   3262.73   3267.78  2357090279
13  801200  商贸零售   3119.27   3106.51  ...   3117.13   3096.04   3113.13  1161678122
14  801210  社会服务  10583.47  10533.95  ...  10612.80  10526.29  10593.99   789266220
15  801230    综合   2591.51   2588.32  ...   2618.16   2585.95   2606.29   317981848
16  801710  建筑材料   8010.93   7968.84  ...   7968.91   7821.60   7827.68   993714365
17  801720  建筑装饰   2198.40   2194.83  ...   2194.83   2165.70   2170.41  3716690631
18  801730  电力设备  13380.86  13344.79  ...  13366.17  13246.23  13287.93  5280274800
19  801740  国防军工   1922.55   1918.17  ...   1961.57   1914.20   1947.26  1789907521
20  801750   计算机   5140.79   5129.44  ...   5210.81   5124.20   5209.68  5125210644
21  801760    传媒    690.14    690.66  ...    704.54    688.01    697.38  6637086516
22  801770    通信   2149.16   2144.09  ...   2171.91   2144.09   2171.90  1827787741
23  801780    银行   3636.68   3628.56  ...   3629.60   3577.88   3583.80  2170204827
24  801790  非银金融   1892.05   1881.71  ...   1890.94   1877.96   1881.54  3117554618
25  801880    汽车   7007.84   6975.49  ...   6975.49   6883.35   6910.15  4006450974
26  801890  机械设备   1771.98   1765.45  ...   1774.62   1762.05   1771.96  4437291605
27  801950    煤炭   2427.14   2417.90  ...   2417.90   2365.88   2371.72  1672881519
28  801960  石油石化   2461.32   2452.49  ...   2452.49   2415.94   2420.94  1312538018
29  801970    环保   2226.74   2223.87  ...   2244.89   2216.00   2242.78  1016941369
30  801980  美容护理   8179.52   8199.70  ...   8199.70   8100.31   8112.60   159207717
```

### 申万二级行业实时行情

接口: sw_index_second_spot

目标地址: http://www.swsindex.com/idx0120.aspx?columnId=8833

描述: 申万二级行业实时行情

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 指数代码 | object  |         |
| 指数名称 | object  |         |
| 昨收盘  | float64 |         |
| 今开盘  | float64 |         |
| 成交额  | float64 | 注意单位: 元 |
| 最高价  | float64 |         |
| 最低价  | float64 |         |
| 最新价  | float64 |         |
| 成交量  | int64   | 注意单位: 股 |

接口示例

```python
import akshare as ak

sw_index_second_spot_df = ak.sw_index_second_spot()
print(sw_index_second_spot_df)
```

数据示例

```
      指数代码    指数名称      昨收盘      今开盘  ...   最高价   最低价  最新价   成交量
0   801011      林业  1081.46  1083.56  ...  1092.10  1077.29  1085.43    25130584
1   801012   农产品加工  2964.54  2983.98  ...  2992.28  2958.38  2984.02   345523347
2   801013    农业综合  1856.73  1935.73  ...  1950.10  1871.09  1881.86    25159603
3   801014      饲料  6132.25  6133.20  ...  6201.76  6095.39  6176.63   520261570
4   801015      渔业   843.42   846.90  ...   860.74   844.84   860.39   154707671
..     ...     ...      ...      ...  ...      ...      ...      ...         ...
93  801744    船舶制造  2328.57  2319.82  ...  2383.77  2299.99  2376.22   459987167
94  801751    营销传播  3105.17  3103.70  ...  3121.32  3099.65  3120.63   963306742
95  801752   互联网传媒  1079.42  1075.15  ...  1087.50  1069.48  1075.49  2408032627
96  801761    文化传媒  1336.92  1334.83  ...  1338.93  1331.94  1338.25   754051920
97  801881  其他交运设备  2259.17  2256.25  ...  2287.34  2244.92  2282.82   113560625
```

### 申万一级行业信息

接口: sw_index_first_info

目标地址: https://legulegu.com/stockdata/sw-industry-overview#level1

描述: 申万一级行业信息

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称         | 类型      | 描述  |
|------------|---------|-----|
| 行业代码       | object  |     |
| 行业名称       | object  |     |
| 成份个数       | int64   |     |
| 静态市盈率      | float64 |     |
| TTM(滚动)市盈率 | float64 |     |
| 市净率        | float64 |     |
| 静态股息率      | float64 |     |

接口示例

```python
import akshare as ak

sw_index_first_info_df = ak.sw_index_first_info()
print(sw_index_first_info_df)
```

数据示例

```
    行业代码  行业名称  成份个数  静态市盈率  TTM(滚动)市盈率   市净率  静态股息率
0   801010.SI  农林牧渔    97  43.49       48.28  2.76   1.39
1   801030.SI  基础化工   341  14.94       13.45  2.40   1.48
2   801040.SI    钢铁    44   6.83        9.66  0.92   6.83
3   801050.SI  有色金属   128  22.40       15.26  2.57   0.92
4   801080.SI    电子   296  21.74       23.02  2.83   0.94
5   801880.SI    汽车   238  27.56       29.76  2.25   1.69
6   801110.SI  家用电器    79  16.70       15.68  2.90   2.97
7   801120.SI  食品饮料   118  38.60       35.83  7.54   1.22
8   801130.SI  纺织服饰   112  14.58       14.85  1.75   3.68
9   801140.SI  轻工制造   142  19.92       23.64  2.26   1.77
10  801150.SI  医药生物   353  24.22       22.19  3.08   1.15
11  801160.SI  公用事业   122  20.54       19.11  1.90   2.41
12  801170.SI  交通运输   123   9.20        8.07  1.24   2.16
13  801180.SI   房地产   115   9.14       10.07  0.94   5.05
14  801200.SI  商贸零售   104  23.41       25.75  2.29   1.35
15  801210.SI  社会服务    73  43.26       42.17  3.18   0.51
16  801780.SI    银行    42   4.67        4.50  0.54   5.52
17  801790.SI  非银金融    87  11.43       12.91  1.16   2.79
18  801230.SI    综合    24  48.95       40.81  2.07   0.66
19  801710.SI  建筑材料    74   8.47        9.11  1.35   2.96
20  801720.SI  建筑装饰   156   7.64        7.29  0.84   2.55
21  801730.SI  电力设备   261  39.23       32.34  4.26   0.46
22  801890.SI  机械设备   390  21.37       24.12  2.09   1.67
23  801740.SI  国防军工    98  54.96       51.40  3.82   0.43
24  801750.SI   计算机   265  30.96       32.51  3.03   1.03
25  801760.SI    传媒   138  16.00       17.11  1.62   2.67
26  801770.SI    通信   105  15.35       13.98  1.27   1.06
27  801950.SI    煤炭    38  11.37        7.84  1.70   3.54
28  801960.SI  石油石化    47  10.37        8.33  0.99   4.07
29  801970.SI    环保   108  16.02       18.38  1.55   1.77
30  801980.SI  美容护理    28  40.38       41.16  5.36   0.78
```

### 申万二级行业信息

接口: sw_index_second_info

目标地址: https://legulegu.com/stockdata/sw-industry-overview#level1

描述: 申万二级行业信息

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称         | 类型      | 描述  |
|------------|---------|-----|
| 行业代码       | object  |     |
| 行业名称       | object  |     |
| 成份个数       | int64   |     |
| 静态市盈率      | float64 |     |
| TTM(滚动)市盈率 | float64 |     |
| 市净率        | float64 |     |
| 静态股息率      | float64 |     |

接口示例

```python
import akshare as ak

sw_index_second_info_df = ak.sw_index_second_info()
print(sw_index_second_info_df)
```

数据示例

```
     行业代码   行业名称  成份个数  静态市盈率  TTM(滚动)市盈率   市净率  静态股息率
0    801016.SI    种植业    20  45.69       40.32  2.87   1.23
1    801015.SI     渔业     6  30.97       47.41  1.54   1.09
2    801014.SI     饲料    13  63.85       87.51  5.33   0.88
3    801012.SI  农产品加工    22  40.30       44.99  2.36   0.48
4    801017.SI    养殖业    22  64.91      143.29  2.80   2.13
..         ...    ...   ...    ...         ...   ...    ...
119  801963.SI  炼化及贸易    29   9.52        8.34  0.88   4.28
120  801971.SI   环境治理    87  15.18       17.79  1.50   1.84
121  801972.SI  环保设备Ⅱ    21  21.41       21.72  1.86   1.50
122  801981.SI   个护用品    13  16.47       17.58  2.57   2.12
123  801982.SI    化妆品    13  52.00       52.78  5.45   0.51
```

### 申万三级行业信息

接口: sw_index_third_info

目标地址: https://legulegu.com/stockdata/sw-industry-overview#level1

描述: 申万三级行业信息

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称         | 类型      | 描述  |
|------------|---------|-----|
| 行业代码       | object  |     |
| 行业名称       | object  |     |
| 成份个数       | int64   |     |
| 静态市盈率      | float64 |     |
| TTM(滚动)市盈率 | float64 |     |
| 市净率        | float64 |     |
| 静态股息率      | float64 |     |

接口示例

```python
import akshare as ak

sw_index_third_info_df = ak.sw_index_third_info()
print(sw_index_third_info_df)
```

数据示例

```
     行业代码     行业名称  成份个数  静态市盈率  TTM(滚动)市盈率  市净率  静态股息率
0    850211.SI    石油开采     3  46.67       10.62  0.71   3.16
1    850221.SI    煤炭开采    28  12.02        8.12  1.20   3.85
2    850222.SI    焦炭加工     8  37.99       15.86  2.38   1.03
3    850231.SI    其他采掘    12  36.74       14.54  2.98   0.99
4    850241.SI  油气钻采服务    14  32.44       30.13  1.53   1.14
..         ...     ...   ...    ...         ...   ...    ...
222  851911.SI      银行    41   5.90        5.35  0.63   4.93
223  851931.SI      证券    50  23.15       19.75  1.80   1.18
224  851941.SI      保险     7   9.48       10.04  1.33   3.38
225  851921.SI    多元金融    31  12.54       12.41  1.04   2.16
226  852311.SI      综合    39  41.84       37.98  2.72   0.69
```

### 申万三级行业成份

接口: sw_index_third_cons

目标地址: https://legulegu.com/stockdata/index-composition?industryCode=851921.SI

描述: 申万三级行业成份

输入参数

| 名称     | 类型  | 描述                                                               |
|--------|-----|------------------------------------------------------------------|
| symbol | str | symbol="850111.SI"; 行业代码; 可以通过 ak.sw_index_third_info() 获取所有行业代码 |

输出参数

| 名称               | 类型      | 描述       |
|------------------|---------|----------|
| 序号               | int64   |          |
| 股票代码             | object  |          |
| 股票简称             | object  |          |
| 纳入时间             | object  |          |
| 申万1级             | object  |          |
| 申万2级             | object  |          |
| 申万3级             | object  |          |
| 价格               | float64 |          |
| 市盈率              | float64 |          |
| 市盈率ttm           | float64 |          |
| 市净率              | float64 |          |
| 股息率              | float64 | 注意单位: %  |
| 市值               | float64 | 注意单位: 亿元 |
| 归母净利润同比增长(09-30) | float64 | 注意单位: %  |
| 归母净利润同比增长(06-30) | float64 | 注意单位: %  |
| 营业收入同比增长(09-30)  | float64 | 注意单位: %  |
| 营业收入同比增长(06-30)  | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

sw_index_third_cons_df = ak.sw_index_third_cons(symbol="850111.SI")
print(sw_index_third_cons_df)
```

数据示例

```
   序号 股票代码  股票简称  ... 归母净利润同比增长(06-30) 营业收入同比增长(09-30) 营业收入同比增长(06-30)
0   1  600313.SH  农发种业  ...          1433.66           35.62           18.57
1   2  000713.SZ  丰乐种业  ...           -26.10            3.59           -5.45
2   3  000998.SZ  隆平高科  ...          -421.52           55.20            6.98
3   4  300087.SZ  荃银高科  ...           421.95           28.09           42.46
4   5  300189.SZ  神农科技  ...           -39.18          -12.49          -12.68
5   6  600371.SH  万向德农  ...           174.47           11.65            3.10
6   7  600354.SH  敦煌种业  ...           -55.18           -8.59          -13.23
7   8  002041.SZ  登海种业  ...             6.67           10.01            6.12
```

### 申万行业成份

接口: sw_index_cons

目标地址: http://www.swsindex.com/idx0210.aspx?swindexcode=801010

描述: 申万一级和二级行业成份股数据

限量: 由于申万源问题该接口暂不能获取数据

输入参数

| 名称     | 类型  | 描述              |
|--------|-----|-----------------|
| symbol | str | symbol="801010" |

输出参数

| 名称         | 类型      | 描述  |
|------------|---------|-----|
| stock_code | object  |     |
| stock_name | object  |     |
| start_date | object  |     |
| weight     | float64 |     |

接口示例

```python
import akshare as ak

sw_index_cons_df = ak.sw_index_cons(symbol="801010")
print(sw_index_cons_df)
```

数据示例

```
   stock_code stock_name  start_date  weight
0      000048       京基智农  2011-10-10  0.4088
1      000505       京粮控股  2018-07-16  0.3207
2      000592       平潭发展  2015-11-03  0.7950
3      000702       正虹科技  2008-06-02  0.1488
4      000713       丰乐种业  2008-06-02  0.5855
..        ...        ...         ...     ...
88     603718       海利生物  2016-02-05  0.6369
89     603739       蔚蓝生物  2019-01-04  0.3128
90     605016       百龙创园  2021-04-21  0.1733
91     605198       德利股份  2020-09-18  0.0578
92     605296       神农集团  2021-05-28  0.2597
```

### 申万行业历史行情

接口: sw_index_daily

目标地址: http://www.swsindex.com/idx0200.aspx?columnid=8838&type=Day

描述: 申万一级和二级行业历史行情数据

限量: 由于申万数据源问题该接口暂不能获取数据; 申万一级可以通过 ak.index_level_one_hist_sw() 来获取数据，申万二级行情暂不能获取

输入参数

| 名称         | 类型  | 描述                    |
|------------|-----|-----------------------|
| symbol     | str | symbol="801010"; 行业代码 |
| start_date | str | start_date="20191201" |
| end_date   | str | end_date="20191207"   |

输出参数

| 名称         | 类型      | 描述  |
|------------|---------|-----|
| index_code | object  |     |
| index_name | object  |     |
| date       | object  |     |
| open       | float64 |     |
| high       | float64 |     |
| low        | float64 |     |
| close      | float64 |     |
| vol        | float64 |     |
| amount     | float64 |     |
| change_pct | float64 |     |

接口示例

```python
import akshare as ak

sw_index_daily_df = ak.sw_index_daily(symbol="801010", start_date="20191201", end_date="20191207")
print(sw_index_daily_df)
```

数据示例

```
  index_code index_name        date     open  ...    close   vol  amount  change_pct
0     801010       农林牧渔  2019-12-06  3278.67  ...  3273.24  7.63  106.32        0.03
1     801010       农林牧渔  2019-12-05  3278.81  ...  3272.12  6.93   85.40        0.11
2     801010       农林牧渔  2019-12-04  3274.92  ...  3268.57  7.44   93.57       -0.56
3     801010       农林牧渔  2019-12-03  3295.98  ...  3287.12  6.80   91.33       -0.33
4     801010       农林牧渔  2019-12-02  3280.31  ...  3297.97  7.33  105.91        1.37
```

### 申万一级行业历史行情

接口: index_level_one_hist_sw

目标地址: http://www.swsindex.com/idx0110.aspx

描述: 申万指数-指数发布-指数体系-一级行业

限量: 单次返回所有历史数据; 该接口暂时不能使用

输入参数

| 名称         | 类型  | 描述                    |
|------------|-----|-----------------------|
| symbol     | str | symbol="801010"; 行业代码 |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| 指数代码   | object  |          |
| 指数名称   | object  |          |
| 发布日期   | object  |          |
| 开盘指数   | float64 |          |
| 最高指数   | float64 |          |
| 最低指数   | float64 |          |
| 收盘指数   | float64 |          |
| 成交量    | float64 | 注意单位: 亿股 |
| 成交额    | float64 | 注意单位: 亿元 |
| 涨跌幅    | float64 | 注意单位: %  |
| 换手率    | float64 | 注意单位: %  |
| 市盈率    | float64 | 注意单位: 倍  |
| 市净率    | float64 | 注意单位: 倍  |
| 均价     | float64 | 注意单位: 元  |
| 成交额占比  | float64 | 注意单位: %  |
| 流通市值   | float64 | 注意单位: 亿元 |
| 平均流通市值 | float64 | 注意单位: 亿元 |
| 股息率    | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

index_level_one_hist_sw_df = ak.index_level_one_hist_sw(symbol="801010")
print(index_level_one_hist_sw_df)
```

数据示例

```
      指数代码  指数名称 发布日期     开盘指数  ...  成交额占比  流通市值  平均流通市值   股息率
0     801010  农林牧渔  1999-12-30  1000.00  ...   2.60    232.09    8.60   NaN
1     801010  农林牧渔  2000-01-04  1001.98  ...   1.84    238.49    8.83  0.41
2     801010  农林牧渔  2000-01-05  1035.47  ...   1.93    241.51    8.94  0.46
3     801010  农林牧渔  2000-01-06  1025.38  ...   2.33    250.15    9.26  0.45
4     801010  农林牧渔  2000-01-07  1076.06  ...   2.40    259.66    9.62  0.43
      ...   ...         ...      ...  ...    ...       ...     ...   ...
5469  801010  农林牧渔  2022-08-19  3532.15  ...   2.16  11640.16  121.25  0.37
5470  801010  农林牧渔  2022-08-22  3648.83  ...   2.35  11795.25  122.87  0.37
5471  801010  农林牧渔  2022-08-23  3689.45  ...   2.30  11901.05  123.97  0.36
5472  801010  农林牧渔  2022-08-24  3733.80  ...   2.94  11836.31  123.29  0.37
5473  801010  农林牧渔  2022-08-25  3723.12  ...   2.74  11948.57  124.46  0.36
```

### 市场表征历史行情

接口: index_market_representation_hist_sw

目标地址: http://www.swsindex.com/idx0110.aspx

描述: 申万指数-指数发布-指数体系-市场表征

限量: 单次返回所有历史数据

输入参数

| 名称     | 类型  | 描述                      |
|--------|-----|-------------------------|
| symbol | str | symbol="801001"; 市场表征代码 |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| 指数代码   | object  |          |
| 指数名称   | object  |          |
| 发布日期   | object  |          |
| 开盘指数   | float64 |          |
| 最高指数   | float64 |          |
| 最低指数   | float64 |          |
| 收盘指数   | float64 |          |
| 成交量    | float64 | 注意单位: 亿股 |
| 成交额    | float64 | 注意单位: 亿元 |
| 涨跌幅    | float64 | 注意单位: %  |
| 换手率    | float64 | 注意单位: %  |
| 市盈率    | float64 | 注意单位: 倍  |
| 市净率    | float64 | 注意单位: 倍  |
| 均价     | float64 | 注意单位: 元  |
| 成交额占比  | float64 | 注意单位: %  |
| 流通市值   | float64 | 注意单位: 亿元 |
| 平均流通市值 | float64 | 注意单位: 亿元 |
| 股息率    | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

index_market_representation_hist_sw_df = ak.index_market_representation_hist_sw(symbol="801001")
print(index_market_representation_hist_sw_df)
```

数据示例

```
     指数代码  指数名称  发布日期     开盘指数  ...  成交额占比  流通市值   平均流通市值   股息率
0     801001  申万50  1999-12-30  1000.00  ...   0.00       0.00      NaN   NaN
1     801001  申万50  2000-01-04  1003.21  ...  24.97    1713.63    34.27  0.81
2     801001  申万50  2000-01-05  1044.39  ...  25.24    1711.85    34.24  0.81
3     801001  申万50  2000-01-06  1037.43  ...  24.18    1798.98    35.98  0.77
4     801001  申万50  2000-01-07  1110.43  ...  25.52    1876.46    37.53  0.74
      ...   ...         ...      ...  ...    ...        ...      ...   ...
5464  801001  申万50  2022-08-19  3360.90  ...  10.21  164557.45  3291.15  2.15
5465  801001  申万50  2022-08-22  3329.92  ...  12.18  166008.28  3320.17  2.07
5466  801001  申万50  2022-08-23  3368.33  ...  10.89  165215.32  3304.31  2.09
5467  801001  申万50  2022-08-24  3361.35  ...  11.18  162790.15  3255.80  1.96
5468  801001  申万50  2022-08-25  3297.98  ...  11.93  164676.12  3293.52  2.02
```

### 风格指数历史行情

接口: index_style_index_hist_sw

目标地址: http://www.swsindex.com/idx0110.aspx

描述: 申万指数-指数发布-指数体系-风格指数

限量: 单次返回所有历史数据; 该接口暂时不能使用

输入参数

| 名称     | 类型  | 描述                      |
|--------|-----|-------------------------|
| symbol | str | symbol="801811"; 风格指数代码 |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| 指数代码   | object  |          |
| 指数名称   | object  |          |
| 发布日期   | object  |          |
| 开盘指数   | float64 |          |
| 最高指数   | float64 |          |
| 最低指数   | float64 |          |
| 收盘指数   | float64 |          |
| 成交量    | float64 | 注意单位: 亿股 |
| 成交额    | float64 | 注意单位: 亿元 |
| 涨跌幅    | float64 | 注意单位: %  |
| 换手率    | float64 | 注意单位: %  |
| 市盈率    | float64 | 注意单位: 倍  |
| 市净率    | float64 | 注意单位: 倍  |
| 均价     | float64 | 注意单位: 元  |
| 成交额占比  | float64 | 注意单位: %  |
| 流通市值   | float64 | 注意单位: 亿元 |
| 平均流通市值 | float64 | 注意单位: 亿元 |
| 股息率    | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

index_style_index_hist_sw_df = ak.index_style_index_hist_sw(symbol="801811")
print(index_style_index_hist_sw_df)
```

数据示例

```
     指数代码  指数名称  发布日期     开盘指数  ...  成交额占比  流通市值   平均流通市值   股息率
0     801811  大盘指数  1999-12-30  1000.00  ...    NaN        NaN      NaN   NaN
1     801811  大盘指数  2000-01-04  1003.53  ...  31.82    3353.51    16.77  0.79
2     801811  大盘指数  2000-01-05  1035.93  ...  35.42    3371.90    16.86  0.79
3     801811  大盘指数  2000-01-06  1034.44  ...  34.10    3523.56    17.62  0.76
4     801811  大盘指数  2000-01-07  1096.13  ...  37.79    3678.80    18.39  0.72
      ...   ...         ...      ...  ...    ...        ...      ...   ...
5469  801811  大盘指数  2022-08-19  3719.13  ...  20.53  325972.47  1629.86  2.26
5470  801811  大盘指数  2022-08-22  3690.15  ...  22.77  328342.89  1641.71  2.19
5471  801811  大盘指数  2022-08-23  3727.59  ...  20.99  327545.59  1637.73  2.22
5472  801811  大盘指数  2022-08-24  3720.38  ...  20.70  322987.80  1614.94  2.16
5473  801811  大盘指数  2022-08-25  3655.28  ...  21.95  326748.69  1633.74  2.19
```

### 申万行业历史行情指标

接口: sw_index_daily_indicator

目标地址: http://www.swsindex.com/idx0200.aspx?columnid=8838&type=Day

描述: 申万一级和二级行业历史行情指标数据

限量: 由于申万源问题该接口暂不能获取数据

输入参数

| 名称         | 类型  | 描述                                       |
|------------|-----|------------------------------------------|
| symbol     | str | symbol="801010"; 行业代码                    |
| start_date | str | start_date="20191201"                    |
| end_date   | str | end_date="20191207"                      |
| data_type  | str | data_type="Day"; "Day": 日报表, "Week": 周报表 |

输出参数

| 名称                   | 类型      | 描述  |
|----------------------|---------|-----|
| index_code           | object  |     |
| index_name           | object  |     |
| date                 | object  |     |
| close                | float64 |     |
| volume               | float64 |     |
| chg_pct              | float64 |     |
| turn_rate            | float64 |     |
| pe                   | float64 |     |
| pb                   | float64 |     |
| vwap                 | float64 |     |
| float_mv             | float64 |     |
| avg_float_mv         | float64 |     |
| dividend_yield_ratio | float64 |     |
| turnover_pct         | float64 |     |

接口示例-天

```python
import akshare as ak

sw_index_daily_indicator_df = ak.sw_index_daily_indicator(symbol="801010", start_date="20191201", end_date="20191207", data_type="Day")
print(sw_index_daily_indicator_df)
```

数据示例-天

```
   index_code index_name  ... dividend_yield_ratio  turnover_pct
0      801010       农林牧渔  ...                 1.19          2.64
1      801010       农林牧渔  ...                 1.19          2.05
2      801010       农林牧渔  ...                 1.19          2.68
3      801010       农林牧渔  ...                 1.19          2.68
4      801010       农林牧渔  ...                 1.18          3.16
5      801010       农林牧渔  ...                 1.20          2.57
6      801010       农林牧渔  ...                 1.19          2.95
7      801010       农林牧渔  ...                 1.19          2.75
8      801010       农林牧渔  ...                 1.19          2.73
9      801010       农林牧渔  ...                 1.20          2.11
10     801010       农林牧渔  ...                 1.18          2.26
11     801010       农林牧渔  ...                 1.17          2.53
12     801010       农林牧渔  ...                 1.16          2.71
13     801010       农林牧渔  ...                 1.15          2.56
14     801010       农林牧渔  ...                 1.16          3.56
15     801010       农林牧渔  ...                 1.17          3.40
16     801010       农林牧渔  ...                 1.13          2.72
17     801010       农林牧渔  ...                 1.13          3.04
18     801010       农林牧渔  ...                 1.12          3.40
19     801010       农林牧渔  ...                 1.13          3.33
20     801010       农林牧渔  ...                 1.11          3.51
21     801010       农林牧渔  ...                 1.09          4.39
22     801010       农林牧渔  ...                 1.11          4.58
23     801010       农林牧渔  ...                 1.09          4.30
24     801010       农林牧渔  ...                 1.10          3.83
25     801010       农林牧渔  ...                 1.10          4.45
```

接口示例-周

```python
import akshare as ak

sw_index_daily_indicator_df = ak.sw_index_daily_indicator(symbol="801010", start_date="2019-12-01", end_date="2019-12-07", data_type="Week")
print(sw_index_daily_indicator_df)
```

数据示例-周

```
  index_code index_name  ... dividend_yield_ratio  turnover_pct
0     801010       农林牧渔  ...                 1.19          2.62
1     801010       农林牧渔  ...                 1.20          2.60
2     801010       农林牧渔  ...                 1.18          2.69
3     801010       农林牧渔  ...                 1.17          3.18
4     801010       农林牧渔  ...                 1.11          4.12
```

### 商品现货价格指数

接口: spot_goods

目标地址: http://finance.sina.com.cn/futuremarket/spotprice.shtml#titlePos_0

描述: 新浪财经-商品现货价格指数

输入参数

| 名称     | 类型  | 描述                                      |
|--------|-----|-----------------------------------------|
| symbol | str | symbol="波罗的海干散货指数"; 指数目录请参考 **现货指数一览表** |

现货指数一览表

| 名称         | 时间段       |
|------------|-----------|
| 进口大豆价格指数   | 2000-2016 |
| 波罗的海干散货指数  | 2007-至今   |
| 钢坯价格指数     | 2005-至今   |
| 普氏62%铁矿石指数 | 2011-至今   |

输出参数

| 名称  | 类型      | 描述  |
|-----|---------|-----|
| 日期  | object  |     |
| 指数  | float64 |     |
| 涨跌额 | float64 |     |
| 涨跌幅 | float64 |     |

接口示例-天

```python
import akshare as ak

spot_goods_df = ak.spot_goods(symbol="波罗的海干散货指数")
print(spot_goods_df)
```

数据示例

```
              日期       指数     涨跌额      涨跌幅
0     2006-06-23  2808.00   83.00   0.0305
1     2006-06-30  2964.00  156.00   0.0556
2     2006-07-07  2870.00  -94.00  -0.0317
3     2006-07-14  2968.00   98.00   0.0341
4     2006-07-21  3191.00  223.00   0.0751
          ...      ...     ...      ...
2424  2019-12-11  1460.00  -68.00  -4.4500
2425  2019-12-12  1388.00  -72.00  -4.9300
2426  2019-12-13  1355.00  -33.00  -2.3800
2427  2019-12-16  1315.00  -40.00  -2.9500
2428  2019-12-17  1281.00  -34.00  -2.5900
```

### 义乌小商品指数

接口: index_yw

目标地址: http://www.ywindex.com/Home/Product/index/

描述: 指定 symbol 的义乌小商品指数的近期历史数据

输入参数

| 名称     | 类型  | 描述                                                    |
|--------|-----|-------------------------------------------------------|
| symbol | str | symbol="周价格指数"; choice of {"周价格指数", "月价格指数", "月景气指数"} |

输出参数-周价格指数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 期数     | object  | -   |
| 价格指数   | float64 | -   |
| 场内价格指数 | float64 | -   |
| 网上价格指数 | float64 | -   |
| 订单价格指数 | float64 | -   |
| 出口价格指数 | float64 | -   |

接口示例-周价格指数

```python
import akshare as ak

index_yw_df = ak.index_yw(symbol="周价格指数")
print(index_yw_df)
```

数据示例-周价格指数

```
    期数    价格指数  场内价格指数  网上价格指数  订单价格指数  出口价格指数
0   2021-05-03  101.34   99.93   100.4  101.24  101.53
1   2021-04-26   101.3  100.42  100.26  100.55  102.42
2   2021-04-19  100.54  100.23  100.07  100.29   99.98
3   2021-04-12  100.81  100.66  100.08  100.66  100.02
4   2021-04-05  101.06  100.66  100.29  100.92  100.08
5   2021-03-29  101.66  101.08   100.1  101.15  100.16
6   2021-03-22  101.74  100.98  100.42   101.1   99.98
7   2021-03-15  102.31  103.31  100.49  100.36  100.21
8   2021-03-08  102.32  102.56  100.94  100.84  105.44
9   2021-02-01  102.31  101.68  101.33  101.45  100.69
10  2021-01-25   101.7  100.84  100.12     101  100.23
11  2021-01-18  101.26  101.45  100.43  100.93   100.8
```

输出参数-月价格指数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 期数     | object  | -   |
| 价格指数   | float64 | -   |
| 场内价格指数 | float64 | -   |
| 网上价格指数 | float64 | -   |
| 订单价格指数 | float64 | -   |
| 出口价格指数 | float64 | -   |

接口示例-月价格指数

```python
import akshare as ak

index_yw_df = ak.index_yw(symbol="月价格指数")
print(index_yw_df)
```

数据示例-月价格指数

```
    期数    价格指数  场内价格指数  网上价格指数  订单价格指数  出口价格指数
0   2021-05-01  100.27  100.33  100.02  100.32  100.06
1   2021-04-01  100.19  100.53  100.03   99.99  100.06
2   2021-02-01   100.9  100.62  100.45  100.34  100.15
3   2021-01-01  100.68  100.74  100.55  100.04     100
4   2020-12-01  100.36  100.54  100.47  100.12     100
5   2020-11-01  100.16   100.2   100.3  100.03     100
6   2020-10-01  100.47  100.89  100.03  100.13  100.01
7   2020-09-01   101.2   108.7     100  100.07  100.02
8   2020-08-01  100.41  103.35     100  100.03  100.04
9   2020-07-01  100.17  100.33     100  100.05   100.1
10  2020-06-01  100.07  100.17  100.01  100.07  100.23
11  2020-05-01   100.2  100.18     100  100.08  100.53
```

输出参数-月景气指数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 期数     | object  | -   |
| 景气指数   | float64 | -   |
| 规模指数   | float64 | -   |
| 效益指数   | float64 | -   |
| 市场信心指数 | float64 | -   |

接口示例-月景气指数

```python
import akshare as ak

index_yw_df = ak.index_yw(symbol="月景气指数")
print(index_yw_df)
```

数据示例-月景气指数

```
      期数     景气指数    规模指数    效益指数    市场信心指数
0   2019-12-01  1166.21  876.42   1714.5   1004.3
1   2019-11-01  1182.63  889.31  1750.16   1006.2
2   2019-10-01  1166.56   904.9  1673.57  1008.44
3   2019-09-01  1146.21  901.67  1608.72  1009.76
4   2019-08-01  1169.04  900.81  1686.27  1009.46
5   2019-07-01  1144.33  888.45  1619.71   1010.1
6   2019-06-01  1146.25  889.61  1620.87  1013.81
7   2019-05-01  1193.03  903.56  1767.35  1004.67
8   2019-04-01  1177.85  885.08  1745.17  1000.88
9   2019-02-01  1145.52  873.83  1649.29  1004.01
10  2019-01-01  1150.15  875.37  1663.42  1003.26
11  2018-12-01  1193.24  870.16  1818.35   998.92
```

### 柯桥纺织品指数

接口: index_kq

目标地址: http://www.kqindex.cn/flzs/jiage

描述: 获取指定 symbol 的柯桥纺织品指数的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str  | Y   | symbol="价格指数"; choice of {'价格指数', '景气指数', '外贸指数'} |

输出参数-价格指数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 期次      | object   | Y        |  - |
| 指数      | object   | Y        |  -  |
| 涨跌幅      | object   | Y        | 注意单位: %  |

接口示例-价格指数

```python
import akshare as ak
index_kq_df = ak.index_kq_fz(symbol="价格指数")
print(index_kq_df)
```

数据示例-价格指数

```
         期次      指数     涨跌幅
0    2021-04-26  107.87    0.06
1    2021-04-19  107.80   -0.02
2    2021-04-12  107.82    0.14
3    2021-04-05  107.67   -0.14
4    2021-03-29  107.82    0.33
..          ...     ...     ...
648  2007-07-02  100.44    0.58
649  2007-06-25   99.86    1.92
650  2007-06-18   97.98    0.21
651  2007-06-11   97.77  -13.39
652  2007-06-04  112.88    None
```

输出参数-景气指数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 期次      | object   | Y        |  - |
| 总景气指数      | object   | Y        |  -  |
| 涨跌幅      | object   | Y        | 注意单位: %  |
| 流通景气指数      | object   | Y        | -  |
| 生产景气指数      | object   | Y        | -  |

接口示例-景气指数

```python
import akshare as ak

index_kq_df = ak.index_kq_fz(symbol="景气指数")
print(index_kq_df)
```

数据示例-景气指数

```
     期次  总景气指数  涨跌幅  流通景气指数 生产景气指数
0    2021年03月  1188.31   6.62  1243.24  1064.89
1    2021年01月  1114.50  -3.34  1128.49  1064.73
2    2020年12月  1153.06  -0.60  1194.63  1071.94
3    2020年11月  1160.07  -0.05  1190.38  1093.42
4    2020年10月  1160.70   4.79  1159.96  1116.91
..        ...      ...    ...      ...      ...
145  2007年10月  1136.22  -0.11   825.53  1446.91
146  2007年09月  1137.48  -9.36   837.70  1437.26
147  2007年08月  1254.97  15.05   830.11  1679.83
148  2007年07月  1090.81  -1.37   855.77  1325.86
149  2007年06月  1105.95   None   862.60  1349.30
```

输出参数-外贸指数

| 名称   | 类型     | 默认显示 | 描述      |
|------|--------|------|---------|
| 期次   | object | Y    | -       |
| 价格指数 | object | Y    | -       |
| 涨跌幅  | object | Y    | 注意单位: % |
| 景气指数 | object | Y    | -       |
| 涨跌幅  | object | Y    | 注意单位: % |

接口示例-外贸指数

```python
import akshare as ak

index_kq_df = ak.index_kq_fz(symbol="外贸指数")
print(index_kq_df)
```

数据示例-外贸指数

```
     期次    价格指数     涨跌幅     景气指数    涨跌幅
0    2021年03月  157.44    7.31  1009.80   7.70
1    2021年01月  146.71  -13.39   937.59  -3.22
2    2020年12月  169.40   -2.09   968.74   6.25
3    2020年11月  173.02    3.37   911.77  10.40
4    2020年10月  167.38    2.73   825.89   7.16
..        ...     ...     ...      ...    ...
146  2007年10月   93.78   -2.74  1395.79   1.78
147  2007年09月   96.42    0.08  1371.33  -5.65
148  2007年08月   96.34   -3.24  1453.39   5.57
149  2007年07月   99.57   -8.29  1376.74  -6.06
150  2007年06月  108.57    None  1465.48   None
```

### 柯桥时尚指数

接口: index_kq_fashion

目标地址: http://ss.kqindex.cn:9559/rinder_web_kqsszs/index/index_page.do

描述: 获取指定 symbol 的柯桥时尚指数的所有数据

输入参数

| 名称     | 类型  | 描述                                                                                                                                                                                                              |
|--------|-----|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| symbol | str | symbol="柯桥时尚指数"; choice of {'柯桥时尚指数', '时尚创意指数', '时尚设计人才数', '新花型推出数', '创意产品成交数', '创意企业数量', '时尚活跃度指数', '电商运行数', '时尚平台拓展数', '新产品销售额占比', '企业合作占比', '品牌传播费用', '时尚推广度指数', '国际交流合作次数', '企业参展次数', '外商驻点数量变化', '时尚评价指数'} |

输出参数-柯桥时尚指数

| 名称  | 类型      | 描述  |
|-----|---------|-----|
| 日期  | object  | -   |
| 指数  | float64 | -   |
| 涨跌值 | float64 | -   |
| 涨跌幅 | float64 | -   |

接口示例-柯桥时尚指数

```python
import akshare as ak

index_kq_fashion_df = ak.index_kq_fashion(symbol='柯桥时尚指数')
print(index_kq_fashion_df)
```

数据示例-柯桥时尚指数

```
    日期          指数        涨跌值       涨跌幅
0   2020-12-31   79.740000  -0.430000 -0.005364
1   2020-09-30   80.170000  -0.864483 -0.010668
2   2020-06-01   81.034483  -0.862069 -0.010526
3   2020-03-12   81.896552 -12.931034 -0.136364
4   2019-12-27   94.827586  -0.862414 -0.009013
5   2019-09-25   95.690000  -0.430690 -0.004481
6   2019-06-28   96.120690  -0.862069 -0.008889
7   2019-03-29   96.982759   2.697044  0.028605
8   2018-12-20   94.285714  -6.145320 -0.061189
9   2018-09-30  100.431034  -3.017241 -0.029167
10  2018-06-01  103.448276  -2.581724 -0.024349
11  2018-03-01  106.030000   2.150690  0.020704
12  2017-12-01  103.879310  -2.586207 -0.024291
13  2017-09-01  106.465517 -12.064483 -0.101784
14  2017-06-01  118.530000   2.580000  0.022251
15  2017-03-01  115.950000 -15.950000 -0.120925
16  2016-12-01  131.900000   8.190000  0.066203
17  2016-09-01  123.710000  11.210000  0.099644
18  2016-06-01  112.500000   6.900000  0.065341
19  2016-03-01  105.600000   5.600000  0.056000
20  2015-12-01  100.000000        NaN       NaN
```

接口示例-时尚评价指数

```python
import akshare as ak

index_kq_fashion_df = ak.index_kq_fashion(symbol='时尚评价指数')
print(index_kq_fashion_df)
```

数据示例-时尚评价指数

```
    日期          指数        涨跌值       涨跌幅
0   2020-12-31  126.050000  -2.050000 -0.016003
1   2020-09-30  128.100000  12.243763  0.105681
2   2020-06-01  115.856237 -11.114467 -0.087536
3   2020-03-12  126.970704   1.985704  0.015888
4   2019-12-27  124.985000   2.305000  0.018789
5   2019-09-25  122.680000  -0.515409 -0.004184
6   2019-06-28  123.195409  -1.208094 -0.009711
7   2019-03-29  124.403503   0.380776  0.003070
8   2018-12-20  124.022727   7.305723  0.062593
9   2018-09-30  116.717004  -7.802996 -0.062665
10  2018-06-01  124.520000   9.240000  0.080153
11  2018-03-01  115.280000 -18.340000 -0.137255
12  2017-12-01  133.620000   3.900000  0.030065
13  2017-09-01  129.720000  -2.110000 -0.016005
14  2017-06-01  131.830000 -22.290000 -0.144628
15  2017-03-01  154.120000   0.000000  0.000000
16  2016-12-01  154.120000        NaN       NaN
```

### 中国食糖指数

接口: index_sugar_msweet

目标地址: http://www.msweet.com.cn/mtkj/sjzx13/index.html

描述: 沐甜科技数据中心-中国食糖指数

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 日期   | object  | -   |
| 综合价格 | float64 | -   |
| 原糖价格 | float64 | -   |
| 现货价格 | float64 | -   |

接口示例

```python
import akshare as ak

index_sugar_msweet_df = ak.index_sugar_msweet()
print(index_sugar_msweet_df)
```

数据示例

```
      日期    综合价格   原糖价格    现货价格
0     2005-10-03  3927.0  15.51     NaN
1     2005-10-04  3932.0  11.41     NaN
2     2005-10-10  3950.0  11.62  3550.0
3     2005-10-11  3986.0  11.79  3640.0
4     2005-10-12  4020.0  11.67  3641.0
          ...     ...    ...     ...
3892  2021-12-17  5865.0  18.80  5540.0
3893  2021-12-20  5861.0  18.32  5625.0
3894  2021-12-21  5858.0  18.45  5560.0
3895  2021-12-22  5854.0  18.88  5585.0
3896  2021-12-23  5854.0  18.91  5585.0
```

### 配额内进口糖估算指数

接口: index_inner_quote_sugar_msweet

目标地址: http://www.msweet.com.cn/mtkj/sjzx13/index.html

描述: 沐甜科技数据中心-配额内进口糖估算指数

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 日期     | object  | -   |
| 利润空间   | float64 | -   |
| 泰国糖    | float64 | -   |
| 泰国MA5  | float64 | -   |
| 巴西MA5  | float64 | -   |
| 利润MA5  | float64 | -   |
| 巴西MA10 | float64 | -   |
| 巴西糖    | float64 | -   |
| 柳州现货价  | float64 | -   |
| 广州现货价  | float64 | -   |
| 泰国MA10 | float64 | -   |
| 利润MA30 | float64 | -   |
| 利润MA10 | float64 | -   |

接口示例

```python
import akshare as ak

index_inner_quote_sugar_msweet_df = ak.index_inner_quote_sugar_msweet()
print(index_inner_quote_sugar_msweet_df)
```

数据示例

```
      日期      利润空间      泰国糖  ...  泰国MA10       利润MA30   利润MA10
0     2010-11-01 -1240.220  8913.09  ...     NaN          NaN      NaN
1     2010-11-02 -1247.110  9038.92  ...     NaN          NaN      NaN
2     2010-11-03 -1226.750  9043.47  ...     NaN          NaN      NaN
3     2010-11-04 -1544.135  9359.97  ...     NaN          NaN      NaN
4     2010-11-05 -1560.100  9375.66  ...     NaN          NaN      NaN
          ...       ...      ...  ...     ...          ...      ...
2563  2021-08-06   976.000  4751.00  ...  4668.7  1148.183333  1042.55
2564  2021-08-09  1031.500  4715.00  ...  4686.8  1135.116667  1027.50
2565  2021-08-10   790.000  4946.00  ...  4702.8  1126.600000  1016.55
2566  2021-08-11   816.000  4911.00  ...  4728.2  1109.250000   994.05
2567  2021-08-12   820.500  4911.00  ...  4744.6  1095.166667   979.70
```

### 配额外进口糖估算指数

接口: index_outer_quote_sugar_msweet

目标地址: http://www.msweet.com.cn/mtkj/sjzx13/index.html

描述: 沐甜科技数据中心-配额外进口糖估算指数

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称        | 类型      | 描述  |
|-----------|---------|-----|
| 日期        | object  | -   |
| 巴西糖进口成本   | float64 | -   |
| 泰国糖进口利润空间 | float64 | -   |
| 巴西糖进口利润空间 | float64 | -   |
| 泰国糖进口成本   | float64 | -   |
| 日照现货价     | float64 | -   |

接口示例

```python
import akshare as ak

index_outer_quote_sugar_msweet_df = ak.index_outer_quote_sugar_msweet()
print(index_outer_quote_sugar_msweet_df)
```

数据示例

```
      日期       巴西糖进口成本 泰国糖进口利润空间  巴西糖进口利润空间  泰国糖进口成本   日照现货价
0     2014-12-05   4637.0     -279.0     -133.0   4491.0  4770.0
1     2014-12-08   4697.0     -221.0      -73.0   4549.0  4770.0
2     2014-12-09   4774.0     -180.0        4.0   4590.0  4770.0
3     2014-12-10   4782.0     -213.0      -38.0   4607.0  4820.0
4     2014-12-11   4758.0      -98.0     -112.0   4772.0  4870.0
          ...      ...        ...        ...      ...     ...
1427  2021-07-02   5823.0      116.0       15.0   5924.0  5808.0
1428  2021-07-06   5758.0       13.0      -54.0   5825.0  5812.0
1429  2021-07-07   5729.0       53.0      -15.0   5797.0  5744.0
1430  2021-07-08   5643.0       -3.0      -89.0   5729.0  5732.0
1431  2021-07-09   5598.0       27.0      -59.0   5684.0  5657.0
```

### 排污权指数

接口: index_eri

目标地址: https://zs.zjpwq.net/

描述: 浙江省排污权交易指数的数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 日期   | object  |         |
| 交易指数 | float64 |         |
| 成交量  | float64 | 注意单位: 吨 |
| 更新时间 | object  |         |

接口示例

```python
import akshare as ak

index_eri_df = ak.index_eri()
print(index_eri_df)
```

数据示例

```
    日期        交易指数        成交量                 更新时间
0   2021-05-01  733.600000     0.3080  2021-05-08 23:59:00
1   2021-04-01  470.008268   775.4791  2021-04-30 23:59:00
2   2021-03-01  520.658613  1057.8101  2021-03-31 23:59:00
3   2021-02-01  440.705319   584.6641  2021-03-03 14:25:02
4   2021-01-01  652.537648   432.3339  2021-02-01 13:46:34
..         ...         ...        ...                  ...
72  2015-05-01  175.653651   914.9349  2019-11-08 13:16:46
73  2015-04-01  306.577138   847.2793  2019-11-08 13:16:46
74  2015-03-01  280.808046   368.7993  2019-11-08 13:16:46
75  2015-02-01  331.931459  1432.3328  2019-11-08 13:16:46
76  2015-01-01  182.433769   917.6862  2019-11-08 13:16:46
```

### 集装箱指数

接口: drewry_wci_index

目标地址: https://infogram.com/world-container-index-1h17493095xl4zj

描述: Drewry 集装箱指数的数据

限量: 返回指定 symbol 的数据

输入参数

| 名称     | 类型  | 描述                                                                                                                                                                                                    |
|--------|-----|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| symbol | str | symbol="composite"; choice of {"composite", "shanghai-rotterdam", "rotterdam-shanghai", "shanghai-los angeles", "los angeles-shanghai", "shanghai-genoa", "new york-rotterdam", "rotterdam-new york"} |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| date | object  |     |
| wci  | float64 |     |

接口示例

```python
import akshare as ak

drewry_wci_index_df = ak.drewry_wci_index(symbol="composite")
print(drewry_wci_index_df)
```

数据示例

```
           date       wci
1    2016-03-10    700.57
2    2016-03-17    674.41
3    2016-03-24    666.27
4    2016-03-31    849.08
5    2016-04-07    868.06
..          ...       ...
284  2021-08-19   9613.00
285  2021-08-26   9818.00
286  2021-09-02   9987.00
287  2021-09-09  10084.00
288  2021-09-16  10375.00
```

### 公路物流指数

#### 中国公路物流运价指数

接口: index_cflp_price

目标地址: http://index.0256.cn/expx.htm

描述: 获取指定 symbol 的中国公路物流运价指数的数据

输入参数

| 名称     | 类型  | 描述                                                     |
|--------|-----|--------------------------------------------------------|
| symbol | str | symbol="周指数"; choice of {"周指数", "月指数", "季度指数", "年度指数"} |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 日期   | object  | -   |
| 定基指数 | float64 | -   |
| 环比指数 | float64 | -   |
| 同比指数 | float64 | -   |

接口示例

```python
import akshare as ak

index_cflp_price_df = ak.index_cflp_price(symbol="周指数")
print(index_cflp_price_df)
```

数据示例

```
     日期     定基指数     环比指数     同比指数
0    2015-02-11  1119.47     1000     1000
1    2015-12-02  1051.89   988.25   960.54
2    2015-12-09   1028.4   977.67   981.28
3    2015-12-16   991.78   964.39   935.04
4    2015-12-23   995.84   1004.1   956.45
..          ...      ...      ...      ...
274  2021-04-07  1001.71  1000.05  1017.05
275  2021-04-14  1002.38  1000.66  1018.37
276  2021-04-21  1002.12   999.75  1018.06
277  2021-04-28  1001.13   999.01  1015.88
278  2021-05-05  1002.39  1001.27  1016.82
```

#### 中国公路物流运量指数

接口: index_cflp_volume

目标地址: http://index.0256.cn/expx.htm

描述: 指定 symbol 的中国公路物流运量指数的数据

输入参数

| 名称     | 类型  | 描述                                              |
|--------|-----|-------------------------------------------------|
| symbol | str | symbol="周指数"; choice of {"月指数", "季度指数", "年度指数"} |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 日期   | object  | -   |
| 定基指数 | float64 | -   |
| 环比指数 | float64 | -   |
| 同比指数 | float64 | -   |

接口示例

```python
import akshare as ak

index_cflp_volume_df = ak.index_cflp_volume(symbol="月指数")
print(index_cflp_volume_df)
```

数据示例

```
    日期    定基指数    环比指数    同比指数
0   2016-01-31   94.61     100     100
1   2016-02-29   52.46   55.45     100
2   2016-03-31    93.9  178.99     100
3   2016-04-30  102.13  108.76     100
4   2016-05-31  105.71  103.51     100
..          ...      ...      ...      ...
50  2020-04-30  108.68   97.24     100
51  2020-05-31  116.28  106.99     100
52  2020-06-30   99.89    85.9     100
53  2020-07-31   96.58   96.69  102.08
54  2020-08-31   56.95   58.97  108.56
```

### 恐慌指数

接口: index_vix

目标地址: https://datacenter.jin10.com/market

描述: 恐慌指数-芝加哥期权交易所 VIX 指数(CBOE Volatility Index)的分钟级别数据

限量: 只能获取近期的数据; 数据源更新数据

输入参数

| 名称         | 类型  | 描述                                                           |
|------------|-----|--------------------------------------------------------------|
| start_date | str | start_date="20200320"; 注意开始和结束之间的时间跨度不能太长, 只能获取当前交易日近一个月内的数据 |
| end_date   | str | end_date="20200327"; 只能获取当前交易日近一个月内的数据                       |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 日期时间 | object  |     |
| 开盘价  | float64 |     |
| 当前价  | float64 |     |
| 涨跌   | float64 |     |
| 涨跌幅  | float64 |     |

数据解释

VIX全名是芝加哥期权交易所波动率指数（Chicago Board Options Exchange Volatility Index），用以反映S&P 500指数期货的
波动程度，测量未来30天市场预期的波动程度，通常用来评估未来风险，因此它被称作“恐慌指数”。VIX指数虽
然是反映未来30天的波动程度，却是以年化百分比表示，并且以常态分布的机率出现。 举个
例子，假设VIX指数为15，表示未来30天预期的年化波动率为15%，因此可以推断指数期权市场预期
未来30天标准普尔500指数向上或向下波动15%/√12 = 4.33% 。也就是，指数期权的定
价假设是：标准普尔500指数未来30天的波动率在正负4.33%以内的几率为68%。

数据解读

1. 当VIX指数超过40，表示市场对未来的非理性恐慌，可能于短期内出现反弹。
2. 当VIX指数低于15，表示市场出现非理性繁荣，可能会伴随着卖压杀盘。
3. 即使在1998年的金融风暴时，VIX指数也未曾超过60，VIX指数不一定能准确预测走向，但是多少反映当时市场的气氛。

接口示例

```python
import akshare as ak

index_vix_df = ak.index_vix(start_date="20200611", end_date="20200611")  # 只能获取当前交易日近一个月内的数据
print(index_vix_df)
```

数据示例

```
                  开盘价  当前价  涨跌    涨跌幅
2020-03-20 00:00  76.45  76.68  0.23   0.30
2020-03-20 00:01  76.45  76.79  0.34   0.44
2020-03-20 00:02  76.45  76.95   0.5   0.65
2020-03-20 00:03  76.45  76.89  0.44   0.58
2020-03-20 00:04  76.45  77.24  0.79   1.03
                 ...    ...   ...    ...
2020-03-27 04:10     61  60.99 -0.01  -0.02
2020-03-27 04:11     61  61.11  0.11   0.18
2020-03-27 04:12     61  61.14  0.14   0.23
2020-03-27 04:13     61  61.17  0.17   0.28
2020-03-27 04:14     61     61     0   0.00
```

### 中证指数

接口: stock_zh_index_hist_csindex

目标地址: https://www.csindex.com.cn/zh-CN/indices/index-detail/H30374#/indices/family/detail?indexCode=H30374

描述: 中证指数日频率的数据

限量: 该接口返回指定 symbol 的 start_date 和 end_date 的指数日频率数据, 该接口只能返回最近 60 个交易日的数据

输入参数

| 名称         | 类型  | 描述                    |
|------------|-----|-----------------------|
| symbol     | str | symbol="H30374"; 指数代码 |
| start_date | str | start_date="20100101" |
| end_date   | str | end_date="20211015"   |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| 日期     | object  | -        |
| 指数代码   | object  | -        |
| 指数中文全称 | object  | -        |
| 指数中文简称 | object  | -        |
| 指数英文全称 | object  | -        |
| 指数英文简称 | object  | -        |
| 开盘     | float64 | -        |
| 最高     | float64 | -        |
| 最低     | float64 | -        |
| 收盘     | float64 | -        |
| 涨跌     | float64 | -        |
| 涨跌幅    | float64 | 注意单位: %  |
| 成交量    | float64 | 注意单位: 万手 |
| 成交金额   | float64 | 注意单位: 亿元 |
| 样本数量   | float64 | -        |

接口示例

```python
import akshare as ak

stock_zh_index_hist_csindex_df = ak.stock_zh_index_hist_csindex(symbol="H30374", start_date="20100101", end_date="20211015")
print(stock_zh_index_hist_csindex_df)
```

数据示例

```
              日期    指数代码          指数中文全称  ...     成交量      成交金额    样本数量
0     2016-01-01  H30374  中证中国内地企业全球综合指数  ...    0.00      0.00  3215.0
1     2016-01-04  H30374  中证中国内地企业全球综合指数  ...  425.44   6223.10  3215.0
2     2016-01-05  H30374  中证中国内地企业全球综合指数  ...  595.61   8313.09  3215.0
3     2016-01-06  H30374  中证中国内地企业全球综合指数  ...  525.63   7190.46  3215.0
4     2016-01-07  H30374  中证中国内地企业全球综合指数  ...  215.23   2425.51  3215.0
          ...     ...             ...  ...     ...       ...     ...
1505  2021-10-08  H30374  中证中国内地企业全球综合指数  ...  807.95  10974.56  4262.0
1506  2021-10-11  H30374  中证中国内地企业全球综合指数  ...  765.86  10318.95  4261.0
1507  2021-10-12  H30374  中证中国内地企业全球综合指数  ...  785.24  10056.84  4261.0
1508  2021-10-13  H30374  中证中国内地企业全球综合指数  ...  606.44   8381.64  4261.0
1509  2021-10-14  H30374  中证中国内地企业全球综合指数  ...  577.31   8071.84  4261.0
```

### 财新指数

#### 综合 PMI

接口: index_pmi_com_cx

目标地址: https://s.ccxe.com.cn/indices/pmi

描述: 财新数据-指数报告-财新中国 PMI-综合 PMI

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称    | 类型      | 描述  |
|-------|---------|-----|
| 日期    | object  | -   |
| 综合PMI | float64 | -   |
| 变化值   | float64 | -   |

接口示例

```python
import akshare as ak

index_pmi_com_cx_df = ak.index_pmi_com_cx()
print(index_pmi_com_cx_df)
```

数据示例

```
       日期     综合PMI 变化值
0   2014-04-29   49.5  0.0
1   2014-05-30   50.2  0.7
2   2014-06-29   52.4  2.2
3   2014-07-30   51.6 -0.8
4   2014-08-30   52.8  1.2
..         ...    ...  ...
90  2021-09-29   51.4  4.2
91  2021-10-30   51.5  0.1
92  2021-11-29   51.2 -0.3
93  2021-12-30   53.0  1.8
94  2022-01-30   50.1 -2.9
```

#### 制造业 PMI

接口: index_pmi_man_cx

目标地址: https://s.ccxe.com.cn/indices/pmi

描述: 财新数据-指数报告-财新中国 PMI-制造业 PMI

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 日期     | object  | -   |
| 制造业PMI | float64 | -   |
| 变化值    | float64 | -   |

接口示例

```python
import akshare as ak

index_pmi_man_cx_df = ak.index_pmi_man_cx()
print(index_pmi_man_cx_df)
```

数据示例

```
       日期   制造业PMI  变化值
0   2014-04-29    48.1  0.0
1   2014-05-30    49.4  1.3
2   2014-06-29    50.7  1.3
3   2014-07-30    51.7  1.0
4   2014-08-30    50.2 -1.5
..         ...     ...  ...
90  2021-09-29    50.0  0.8
91  2021-10-30    50.6  0.6
92  2021-11-29    49.9 -0.7
93  2021-12-30    50.9  1.0
94  2022-01-30    49.1 -1.8
```

#### 服务业 PMI

接口: index_pmi_ser_cx

目标地址: https://s.ccxe.com.cn/indices/pmi

描述: 财新数据-指数报告-财新中国 PMI-服务业 PMI

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 日期     | object  | -   |
| 服务业PMI | float64 | -   |
| 变化值    | float64 | -   |

接口示例

```python
import akshare as ak

index_pmi_ser_cx_df = ak.index_pmi_ser_cx()
print(index_pmi_ser_cx_df)
```

数据示例

```
       日期  服务业PMI  变化值
0   2014-04-29    51.4  0.0
1   2014-05-30    50.7 -0.7
2   2014-06-29    53.1  2.4
3   2014-07-30    50.0 -3.1
4   2014-08-30    54.1  4.1
..         ...     ...  ...
90  2021-09-29    53.4  6.7
91  2021-10-30    53.8  0.4
92  2021-11-29    52.1 -1.7
93  2021-12-30    53.1  1.0
94  2022-01-30    51.4 -1.7
```

#### 数字经济指数

接口: index_dei_cx

目标地址: https://s.ccxe.com.cn/indices/dei

描述: 财新指数-数字经济指数

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 日期     | object  | -   |
| 数字经济指数 | float64 | -   |
| 变化值    | float64 | -   |

接口示例

```python
import akshare as ak

index_dei_cx_df = ak.index_dei_cx()
print(index_dei_cx_df)
```

数据示例

```
     日期      数字经济指数 变化值
0   2015-12-31  100.00    0.00
1   2016-01-31   89.63  -10.37
2   2016-02-29  107.70   18.07
3   2016-03-31  116.13    8.43
4   2016-04-30  126.67   10.54
..         ...     ...     ...
67  2021-07-31  585.00    6.00
68  2021-08-31  439.00 -146.00
69  2021-09-30  413.00  -26.00
70  2021-10-31  593.00  180.00
71  2021-11-30  435.00 -158.00
```

#### 产业指数

接口: index_ii_cx

目标地址: https://s.ccxe.com.cn/indices/dei

描述: 财新指数-产业指数

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 日期   | object  | -   |
| 产业指数 | float64 | -   |
| 变化值  | float64 | -   |

接口示例

```python
import akshare as ak

index_ii_cx_df = ak.index_ii_cx()
print(index_ii_cx_df)
```

数据示例

```
        日期    产业指数    变化值
0   2015-12-31  100.00   0.00
1   2016-01-31   83.97 -16.03
2   2016-02-29  139.06  55.09
3   2016-03-31  126.96 -12.10
4   2016-04-30  138.11  11.15
..         ...     ...    ...
67  2021-07-31  434.87  -9.52
68  2021-08-31  353.89 -80.98
69  2021-09-30  260.27 -93.62
70  2021-10-31  261.97   1.70
71  2021-11-30  310.74  48.77
```

#### 溢出指数

接口: index_si_cx

目标地址: https://s.ccxe.com.cn/indices/dei

描述: 财新指数-溢出指数

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 日期   | object  | -   |
| 溢出指数 | float64 | -   |
| 变化值  | float64 | -   |

接口示例

```python
import akshare as ak

index_si_cx_df = ak.index_si_cx()
print(index_si_cx_df)
```

数据示例

```
        日期    溢出指数  变化值
0   2015-12-31  100.00   0.00
1   2016-01-31  137.07  37.07
2   2016-02-29  127.53  -9.54
3   2016-03-31  168.82  41.29
4   2016-04-30  157.51 -11.31
..         ...     ...    ...
67  2021-07-31   70.23   9.28
68  2021-08-31   25.26 -44.97
69  2021-09-30   29.86   4.60
70  2021-10-31   94.92  65.06
71  2021-11-30   48.24 -46.68
```

#### 融合指数

接口: index_fi_cx

目标地址: https://s.ccxe.com.cn/indices/dei

描述: 财新指数-融合指数

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 日期   | object  | -   |
| 融合指数 | float64 | -   |
| 变化值  | float64 | -   |

接口示例

```python
import akshare as ak

index_fi_cx_df = ak.index_fi_cx()
print(index_fi_cx_df)
```

数据示例

```
      日期      融合指数    变化值
0   2015-12-31  100.00   0.00
1   2016-01-31   83.26 -16.74
2   2016-02-29   86.49   3.23
3   2016-03-31   80.90  -5.59
4   2016-04-30   84.22   3.32
..         ...     ...    ...
67  2021-07-31  254.47  -6.94
68  2021-08-31  244.25 -10.22
69  2021-09-30  246.41   2.16
70  2021-10-31  222.03 -24.38
71  2021-11-30  253.82  31.79
```

#### 基础指数

接口: index_bi_cx

目标地址: https://s.ccxe.com.cn/indices/dei

描述: 财新指数-基础指数

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 日期   | object  | -   |
| 基础指数 | float64 | -   |
| 变化值  | float64 | -   |

接口示例

```python
import akshare as ak

index_bi_cx_df = ak.index_bi_cx()
print(index_bi_cx_df)
```

数据示例

```
        日期    基础指数    变化值
0   2015-12-31  100.00   0.00
1   2016-01-31   99.15  -0.85
2   2016-02-29  122.47  23.32
3   2016-03-31  106.72 -15.75
4   2016-04-30  117.46  10.74
..         ...     ...    ...
67  2021-07-31   82.76  -5.40
68  2021-08-31   77.20  -5.56
69  2021-09-30   81.56   4.36
70  2021-10-31   83.50   1.94
71  2021-11-30   48.14 -35.36
```

#### 中国新经济指数

接口: index_nei_cx

目标地址: https://s.ccxe.com.cn/indices/nei

描述: 财新指数-中国新经济指数

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述  |
|---------|---------|-----|
| 日期      | object  | -   |
| 中国新经济指数 | float64 | -   |
| 变化值     | float64 | -   |

接口示例

```python
import akshare as ak

index_nei_cx_df = ak.index_nei_cx()
print(index_nei_cx_df)
```

数据示例

```
     日期    中国新经济指数       变化值
0   2016-04-30  32.030085  0.000000
1   2016-05-31  34.687431  2.657346
2   2016-06-30  32.163383 -2.524048
3   2016-07-31  31.420723 -0.742660
4   2016-08-31  32.140547  0.719824
..         ...        ...       ...
64  2021-08-31  28.225149 -0.311624
65  2021-09-30  28.885370  0.660221
66  2021-10-31  29.643365  0.757995
67  2021-11-30  28.056617 -1.586748
68  2021-12-31  29.464567  1.407950
```

#### 劳动力投入指数

接口: index_li_cx

目标地址: https://s.ccxe.com.cn/indices/nei

描述: 财新指数-劳动力投入指数

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称      | 类型      | 描述  |
|---------|---------|-----|
| 日期      | object  | -   |
| 劳动力投入指数 | float64 | -   |
| 变化值     | float64 | -   |

接口示例

```python
import akshare as ak

index_li_cx_df = ak.index_li_cx()
print(index_li_cx_df)
```

数据示例

```
     日期       劳动力投入指数    变化值
0   2015-07-31  29.741385   0.000000
1   2015-08-31  28.091280  -1.650105
2   2015-09-30  42.663765  14.572485
3   2015-10-31  32.824430  -9.839335
4   2015-11-30  38.791985   5.967555
..         ...        ...        ...
73  2021-08-31  20.802475  -3.385175
74  2021-09-30  22.275790   1.473315
75  2021-10-31  25.326500   3.050710
76  2021-11-30  23.458940  -1.867560
77  2021-12-31  22.587685  -0.871255
```

#### 资本投入指数

接口: index_ci_cx

目标地址: https://s.ccxe.com.cn/indices/nei

描述: 财新指数-资本投入指数

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 日期     | object  | -   |
| 资本投入指数 | float64 | -   |
| 变化值    | float64 | -   |

接口示例

```python
import akshare as ak

index_ci_cx_df = ak.index_ci_cx()
print(index_ci_cx_df)
```

数据示例

```
    日期        资本投入指数      变化值
0   2015-07-31  31.994724   0.000000
1   2015-08-31  34.098210   2.103486
2   2015-09-30  22.844344 -11.253866
3   2015-10-31  35.136466  12.292122
4   2015-11-30  28.143112  -6.993354
..         ...        ...        ...
73  2021-08-31  37.308966   3.053250
74  2021-09-30  37.306790  -0.002176
75  2021-10-31  35.004714  -2.302076
76  2021-11-30  34.531942  -0.472772
77  2021-12-31  39.438158   4.906216
```

#### 科技投入指数

接口: index_ti_cx

目标地址: https://s.ccxe.com.cn/indices/nei

描述: 财新指数-科技投入指数

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 日期     | object  | -   |
| 科技投入指数 | float64 | -   |
| 变化值    | float64 | -   |

接口示例

```python
import akshare as ak

index_ti_cx_df = ak.index_ti_cx()
print(index_ti_cx_df)
```

数据示例

```
        日期     科技投入指数   变化值
0   2015-07-31  27.562400  0.000000
1   2015-08-31  23.012985 -4.549415
2   2015-09-30  25.229635  2.216650
3   2015-10-31  25.949450  0.719815
4   2015-11-30  24.258245 -1.691205
..         ...        ...       ...
73  2021-08-31  27.384085 -0.104765
74  2021-09-30  27.670710  0.286625
75  2021-10-31  29.044460  1.373750
76  2021-11-30  26.347445 -2.697015
77  2021-12-31  26.504550  0.157105
```

#### 新经济行业入职平均工资水平

接口: index_neaw_cx

目标地址: https://s.ccxe.com.cn/indices/nei

描述: 财新指数-新经济行业入职平均工资水平

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称            | 类型      | 描述  |
|---------------|---------|-----|
| 日期            | object  | -   |
| 新经济行业入职平均工资水平 | float64 | -   |
| 变化值           | float64 | -   |

接口示例

```python
import akshare as ak

index_neaw_cx_df = ak.index_neaw_cx()
print(index_neaw_cx_df)
```

数据示例

```
    日期    新经济行业入职平均工资水平  变化值
0   2015-07-31      7409.0000    0.0000
1   2015-08-31      7307.0000 -102.0000
2   2015-09-30      7367.0000   60.0000
3   2015-10-31      7298.0000  -69.0000
4   2015-11-30      7494.0000  196.0000
..         ...            ...       ...
73  2021-08-31     12905.0505  -27.7426
74  2021-09-30     13100.2551  195.2046
75  2021-10-31     13112.4344   12.1793
76  2021-11-30     13124.6137   12.1793
77  2021-12-31     13241.5176  116.9039
```

#### 新经济入职工资溢价水平

接口: index_awpr_cx

目标地址: https://s.ccxe.com.cn/indices/nei

描述: 财新指数-新经济入职工资溢价水平

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称          | 类型      | 描述  |
|-------------|---------|-----|
| 日期          | object  | -   |
| 新经济入职工资溢价水平 | float64 | -   |
| 变化值         | float64 | -   |

接口示例

```python
import akshare as ak

index_awpr_cx_df = ak.index_awpr_cx()
print(index_awpr_cx_df)
```

数据示例

```
      日期  新经济入职工资溢价水平  变化值
0   2015-07-31   106.858500  0.000000
1   2015-08-31   109.196100  2.337600
2   2015-09-30   108.008300 -1.187800
3   2015-10-31   106.994600 -1.013700
4   2015-11-30   104.243100 -2.751500
..         ...          ...       ...
73  2021-08-31   102.576555 -0.202858
74  2021-09-30   102.680842  0.104288
75  2021-10-31   103.914771  1.233928
76  2021-11-30   102.056202 -1.858569
77  2021-12-31   104.185324  2.129122
```

#### 大宗商品指数

接口: index_cci_cx

目标地址: https://s.ccxe.com.cn/indices/nei

描述: 财新指数-大宗商品指数

限量: 该接口返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 日期     | object  | -   |
| 大宗商品指数 | float64 | -   |
| 变化值    | float64 | -   |

接口示例

```python
import akshare as ak

index_cci_cx_df = ak.index_cci_cx()
print(index_cci_cx_df)
```

数据示例

```
       日期      大宗商品指数       变化值
0     2009-01-08  100.000000  0.000000
1     2009-01-11  101.643734  1.643734
2     2009-01-12   98.992944 -2.607922
3     2009-01-13  100.396208  1.417539
4     2009-01-14  100.151055 -0.244186
          ...         ...       ...
3171  2022-01-24  306.378742  0.492113
3172  2022-01-25  308.845430  0.805111
3173  2022-01-26  309.997735  0.373101
3174  2022-01-27  312.246714  0.725482
3175  2022-02-06  319.986334  2.478688
```

### 指数估值

#### 指数估值-中证

接口: stock_zh_index_value_csindex

目标地址: https://www.csindex.com.cn/zh-CN/indices/index-detail/H30374#/indices/family/detail?indexCode=H30374

描述: 中证指数-指数估值数据

限量: 该接口返回指定的指数的估值数据, 该接口只能返回近期的数据

输入参数

| 名称     | 类型  | 描述                    |
|--------|-----|-----------------------|
| symbol | str | symbol="H30374"; 指数代码 |

输出参数

| 名称     | 类型      | 描述              |
|--------|---------|-----------------|
| 日期     | object  | -               |
| 指数代码   | object  | -               |
| 指数中文全称 | object  | -               |
| 指数中文简称 | object  | -               |
| 指数英文全称 | object  | -               |
| 指数英文简称 | object  | -               |
| 市盈率1   | float64 | 注意: （总股本）P/E1   |
| 市盈率2   | float64 | 注意: （计算用股本）P/E2 |
| 股息率1   | float64 | 注意: （总股本）D/P1   |
| 股息率2   | float64 | 注意: （计算用股本）D/P2 |

接口示例

```python
import akshare as ak

stock_zh_index_value_csindex_df = ak.stock_zh_index_value_csindex(symbol="H30374")
print(stock_zh_index_value_csindex_df)
```

数据示例

```
    日期    指数代码        指数中文全称  指数中文简称  ...       市盈率1   市盈率2  股息率1  股息率2
0   2021-10-19  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.22  19.66  1.79  1.56
1   2021-10-18  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.05  19.45  1.80  1.58
2   2021-10-15  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.05  19.45  1.80  1.58
3   2021-10-14  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.96  19.33  1.81  1.59
4   2021-10-13  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.96  19.32  1.82  1.59
5   2021-10-12  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.84  19.17  1.83  1.60
6   2021-10-11  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.09  19.46  1.80  1.58
7   2021-10-08  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.06  19.38  1.81  1.59
8   2021-10-07  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.94  19.23  1.82  1.60
9   2021-10-05  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.82  19.05  1.83  1.61
10  2021-10-04  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.81  19.03  1.83  1.61
11  2021-10-01  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.90  19.16  1.82  1.60
12  2021-09-30  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.91  19.18  1.82  1.60
13  2021-09-29  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.75  19.01  1.83  1.63
14  2021-09-28  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.04  19.31  1.80  1.61
15  2021-09-27  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.95  19.21  1.80  1.60
16  2021-09-24  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.07  19.33  1.79  1.59
17  2021-09-23  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.23  19.51  1.77  1.58
18  2021-09-22  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.12  19.37  1.78  1.59
19  2021-09-21  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.09  19.36  1.79  1.59
```

#### 指数估值-指数信息-韭圈儿

接口: index_value_name_funddb

目标地址: https://funddb.cn/site/index

描述: funddb-指数估值-指数信息

限量: 该接口返回所有指数的基本信息

输入参数

| 名称        | 类型  | 描述  |
|-----------|-----|-----|
| -         | -   | -   |

输出参数

| 名称     | 类型      | 描述  |
|--------|---------|-----|
| 指数名称   | object  | -   |
| 最新PE   | float64 | -   |
| PE分位   | float64 | -   |
| 最新PB   | float64 | -   |
| PB分位   | float64 | -   |
| 股息率    | float64 | -   |
| 股息率分位  | float64 | -   |
| 指数代码   | object  | -   |
| 指数开始时间 | object  | -   |
| 更新时间   | object  | -   |

接口示例

```python
import akshare as ak

index_value_name_funddb_df = ak.index_value_name_funddb()
print(index_value_name_funddb_df)
```

数据示例

```
      指数名称    最新PE   PE分位  最新PB  ...  股息率分位  指数代码     指数开始时间        更新时间
0    医药生物(申万)   22.64   0.04  3.09  ...  98.88   801150.SI  2003-10-16  2022-09-07
1     法国CAC40   12.76   0.12  1.57  ...  44.88     FCHI.GI  1899-12-30  2022-09-06
2    有色金属(申万)   17.74   0.21  3.09  ...  74.51   801050.SI  2003-10-16  2022-09-07
3     澳洲标普200   14.25   0.24  2.02  ...  78.39     AS51.GI  2014-11-24  2022-09-06
4        A股资源   10.38   0.25  1.42  ...  95.91  000805.CSI  2012-01-06  2022-09-07
..        ...     ...    ...   ...  ...    ...         ...         ...         ...
154  农林牧渔(申万)  126.56  98.88  3.66  ...  11.25   801010.SI  2003-10-16  2022-09-07
155    汽车(申万)   37.77  99.67  2.42  ...  25.12   801880.SI  2014-02-21  2022-09-07
156  中证全指电力指数   72.39  99.82  1.98  ...   3.49  h30199.CSI         NaT  2022-09-07
157      全指公用   53.26  99.92  1.98  ...   7.50  000995.CSI         NaT  2022-09-07
158   中证全指房地产   41.61  99.95  0.97  ...  57.09  931775.CSI  2013-07-15  2022-09-07
```

#### 指数估值-历史行情-韭圈儿

接口: index_value_hist_funddb

目标地址: https://funddb.cn/site/index

描述: funddb-指数估值-估值信息

限量: 该接口返回指定指数和指定指标的估值数据

输入参数

| 名称        | 类型  | 描述                                                         |
|-----------|-----|------------------------------------------------------------|
| symbol    | str | symbol="大盘成长"; 指数名称, 通过调用 ak.index_value_name_funddb() 来获取 |
| indicator | str | indicator="市盈率"; choice of {'市盈率', '市净率', '股息率'}           |

输出参数

| 名称        | 类型      | 描述                     |
|-----------|---------|------------------------|
| 日期        | object  | -                      |
| 平均值       | float64 | -                      |
| indicator | float64 | 注意字段: 依据 indicator 而变化 |
| 最低30      | float64 | 注意: 最低 30%             |
| 最低10      | float64 | 注意: 最低 10%             |
| 最高30      | float64 | 注意: 最低 30%             |
| 最高10      | float64 | 注意: 最低 10%             |

接口示例

```python
import akshare as ak

index_value_hist_funddb_df = ak.index_value_hist_funddb(symbol="大盘成长", indicator="市盈率")
print(index_value_hist_funddb_df)
```

数据示例

```
      日期    平均值    市盈率  最低30  最低10   最高30  最高10
0     2011-01-21  18.18  16.42   NaN   NaN    NaN   NaN
1     2011-01-24  18.18  16.22   NaN   NaN    NaN   NaN
2     2011-01-25  18.18  16.13   NaN   NaN    NaN   NaN
3     2011-01-26  18.18  16.38   NaN   NaN    NaN   NaN
4     2011-01-27  18.18  16.67   NaN   NaN    NaN   NaN
          ...    ...    ...   ...   ...    ...   ...
2766  2022-06-24  18.18  23.83   NaN   NaN  23.83   NaN
2767  2022-06-27  18.18  24.20   NaN   NaN  24.20   NaN
2768  2022-06-28  18.18  24.45   NaN   NaN  24.45   NaN
2769  2022-06-29  18.18  23.87   NaN   NaN  23.87   NaN
2770  2022-06-30  18.18  24.42   NaN   NaN  24.42   NaN
```

### 申万宏源研究

#### 申万指数实时行情

接口: index_realtime_sw

目标地址: https://www.swhyresearch.com/institute_sw/allIndex/releasedIndex

描述: 申万宏源研究-指数系列

限量: 该接口返回指定 symbol 的数据

输入参数

| 名称     | 类型  | 描述                                                        |
|--------|-----|-----------------------------------------------------------|
| symbol | str | symbol="市场表征"; choice of {"市场表征", "一级行业", "二级行业", "风格指数"} |

输出参数

| 名称   | 类型      | 描述      |
|------|---------|---------|
| 指数代码 | object  | -       |
| 指数名称 | object  | -       |
| 昨收盘  | float64 | -       |
| 今开盘  | float64 | -       |
| 最新价  | float64 | -       |
| 成交额  | float64 | 注意: 百万元 |
| 成交量  | float64 | 注意: 百万股 |
| 最高价  | float64 | -       |
| 最低价  | float64 | -       |

接口示例

```python
import akshare as ak

index_realtime_sw_df = ak.index_realtime_sw(symbol="市场表征")
print(index_realtime_sw_df)
```

数据示例

```
   指数代码     指数名称   昨收盘  今开盘  ...    成交额       成交量   最高价      最低价
0  801001     申万50  2803.43  2778.75  ...  112142.04   3356.47  2786.13  2714.09
1  801002     申万中小  6756.03  6702.10  ...  226379.40  20501.95  6710.62  6491.83
2  801003     申万Ａ指  3585.84  3561.19  ...  837547.40  71713.64  3568.30  3467.60
3  801005     申万创业  2722.44  2699.00  ...  189924.51  11023.96  2715.14  2617.80
4  801250     申万制造  4493.48  4458.84  ...  304664.03  20229.17  4484.66  4323.47
5  801260     申万消费  6432.16  6373.38  ...  178631.08  11219.71  6392.41  6218.83
6  801270     申万投资  3433.87  3407.84  ...  140380.12  15506.81  3407.87  3303.95
7  801280     申万服务  2218.06  2209.06  ...  212300.09  24475.92  2211.85  2161.96
8  801300  申万300指数  2734.40  2713.08  ...  278935.12  13495.42  2722.66  2654.41
```

#### 申万指数历史行情

接口: index_hist_sw

目标地址: https://www.swhyresearch.com/institute_sw/allIndex/releasedIndex/releasedetail?code=801002&name=申万中小

描述: 申万宏源研究-指数发布-指数详情-指数历史数据

限量: 该接口返回指定 symbol 和 period 的数据

输入参数

| 名称     | 类型  | 描述                                               |
|--------|-----|--------------------------------------------------|
| symbol | str | symbol="801030"; 指数代码                            |
| period | str | period="day"; choice of {"day", "week", "month"} |

输出参数

| 名称  | 类型      | 描述  |
|-----|---------|-----|
| 代码  | object  | -   |
| 日期  | object  | -   |
| 收盘  | float64 | -   |
| 开盘  | float64 | -   |
| 最高  | float64 | -   |
| 最低  | float64 | -   |
| 成交量 | float64 | -   |
| 成交额 | float64 | -   |

接口示例

```python
import akshare as ak

index_hist_sw_df = ak.index_hist_sw(symbol="801030", period="week")
print(index_hist_sw_df)
```

数据示例

```
          代码          日期       收盘  ...       最低         成交量          成交额
0     801030  1999-12-30  1000.00  ...  1000.00    0.369930     3.323494
1     801030  2000-01-07  1114.65  ...   990.18    7.527068    68.660269
2     801030  2000-01-14  1022.44  ...  1012.85    7.300741    69.867212
3     801030  2000-01-21  1056.18  ...  1005.62    5.464761    53.364586
4     801030  2000-01-28  1082.05  ...  1022.06    8.776822    90.325026
      ...         ...      ...  ...      ...         ...          ...
1149  801030  2022-09-23  4239.89  ...  4207.99  147.778310  1945.491658
1150  801030  2022-09-30  4073.14  ...  4061.83  139.211232  1762.628685
1151  801030  2022-10-14  4220.23  ...  3973.38  155.414145  1936.966674
1152  801030  2022-10-21  4138.97  ...  4110.96  152.621839  1950.400760
1153  801030  2022-10-28  3915.21  ...  3905.11  165.942032  2069.770642
```

#### 申万指数分时行情

接口: index_min_sw

目标地址: https://www.swhyresearch.com/institute_sw/allIndex/releasedIndex/releasedetail?code=801001&name=申万中小

描述: 申万宏源研究-指数发布-指数详情-指数分时数据

限量: 该接口返回指定 symbol 的数据

输入参数

| 名称     | 类型  | 描述                                               |
|--------|-----|--------------------------------------------------|
| symbol | str | symbol="801030"; 指数代码                            |

输出参数

| 名称  | 类型      | 描述  |
|-----|---------|-----|
| 代码  | object  | -   |
| 名称  | object  | -   |
| 价格  | float64 | -   |
| 日期  | object  | -   |
| 时间  | object  | -   |

接口示例

```python
import akshare as ak

index_min_sw_df = ak.index_min_sw(symbol="801001")
print(index_min_sw_df)
```

数据示例

```
      代码    名称       价格     日期        时间
0     801001  申万50  2687.81  2022-10-31  09:30:13
1     801001  申万50  2692.26  2022-10-31  09:30:21
2     801001  申万50  2692.15  2022-10-31  09:30:31
3     801001  申万50  2690.00  2022-10-31  09:30:42
4     801001  申万50  2692.77  2022-10-31  09:30:51
      ...   ...      ...         ...       ...
1400  801001  申万50  2691.75  2022-10-31  14:57:09
1401  801001  申万50  2691.75  2022-10-31  14:57:10
1402  801001  申万50  2690.48  2022-10-31  15:00:06
1403  801001  申万50  2690.48  2022-10-31  15:00:09
1404  801001  申万50  2690.48  2022-10-31  15:00:10
```

#### 申万指数成分股

接口: index_component_sw

目标地址: https://www.swhyresearch.com/institute_sw/allIndex/releasedIndex/releasedetail?code=801001&name=申万中小

描述: 申万宏源研究-指数发布-指数详情-成分股

限量: 该接口返回指定 symbol 的数据

输入参数

| 名称     | 类型  | 描述                                               |
|--------|-----|--------------------------------------------------|
| symbol | str | symbol="801001"; 指数代码                            |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 序号   | int64   | -   |
| 证券代码 | object  | -   |
| 证券名称 | object  | -   |
| 最新权重 | float64 | -   |
| 计入日期 | object  | -   |

接口示例

```python
import akshare as ak

index_component_sw_df = ak.index_component_sw(symbol="801001")
print(index_component_sw_df)
```

数据示例

```
    序号  证券代码  证券名称   最新权重   计入日期
0    1  000001  平安银行   1.3219  2022-07-01
1    2  000002   万科A   1.3709  2022-07-01
2    3  000333  美的集团   2.9460  2022-07-01
3    4  000568  泸州老窖   1.7546  2022-07-01
4    5  000651  格力电器   1.8418  2022-07-01
5    6  000725  京东方A   1.5888  2022-07-01
6    7  000792  盐湖股份   0.8423  2022-07-01
7    8  000858   五粮液   3.6665  2022-07-01
8    9  002129  中环股份   1.3055  2022-07-01
9   10  002241  歌尔股份   0.7969  2022-07-01
10  11  002371  北方华创   1.0406  2022-07-01
11  12  002415  海康威视   1.6186  2022-07-01
12  13  002460  赣锋锂业   1.3340  2022-07-01
13  14  002475  立讯精密   1.9392  2022-07-01
14  15  002594   比亚迪   3.1743  2022-07-01
15  16  002714  牧原股份   1.6952  2022-07-01
16  17  002812  恩捷股份   1.0940  2022-07-01
17  18  300014  亿纬锂能   1.4880  2022-07-01
18  19  300015  爱尔眼科   1.1400  2022-07-01
19  20  300059  东方财富   2.3992  2022-07-01
20  21  300122  智飞生物   0.9183  2022-07-01
21  22  300274  阳光电源   1.6215  2022-07-01
22  23  300750  宁德时代   6.2393  2022-07-01
23  24  300760  迈瑞医疗   2.2081  2022-07-01
24  25  600030  中信证券   2.4446  2022-07-01
25  26  600031  三一重工   1.1791  2022-07-01
26  27  600036  招商银行   3.8658  2022-07-01
27  28  600111  北方稀土   0.5437  2022-07-01
28  29  600276  恒瑞医药   1.9666  2022-07-01
29  30  600309  万华化学   2.0388  2022-07-01
30  31  600438  通威股份   1.7058  2022-07-01
31  32  600519  贵州茅台  10.3552  2022-07-01
32  33  600809  山西汾酒   1.3976  2022-07-01
33  34  600887  伊利股份   2.2814  2022-07-01
34  35  600905  三峡能源   0.7479  2022-07-01
35  36  601012  隆基股份   3.5606  2022-07-01
36  37  601088  中国神华   1.1761  2022-07-01
37  38  601166  兴业银行   2.9426  2022-07-01
38  39  601318  中国平安   5.4438  2022-07-01
39  40  601398  工商银行   1.3755  2022-07-01
40  41  601633  长城汽车   0.4643  2022-07-01
41  42  601668  中国建筑   1.2736  2022-07-01
42  43  601669  中国电建   0.6521  2022-07-01
43  44  601857  中国石油   0.4855  2022-07-01
44  45  601888  中国国旅   2.2908  2022-07-01
45  46  601899  紫金矿业   1.6969  2022-07-01
46  47  601919  中远海控   0.8312  2022-07-01
47  48  603259  药明康德   2.1413  2022-07-01
48  49  603501  韦尔股份   0.8151  2022-07-01
49  50  603799  华友钴业   0.9761  2022-07-01
```

#### 申万指数分析-日报表

接口: index_analysis_daily_sw

目标地址: https://www.swhyresearch.com/institute_sw/allIndex/analysisIndex

描述: 申万宏源研究-指数分析-日报表

限量: 该接口返回指定参数的数据

输入参数

| 名称         | 类型  | 描述                                                        |
|------------|-----|-----------------------------------------------------------|
| symbol     | str | symbol="市场表征"; choice of {"市场表征", "一级行业", "二级行业", "风格指数"} |
| start_date | str | start_date="20221103"                                     |
| end_date   | str | end_date="20221103"                                       |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| 指数代码   | object  | -        |
| 指数名称   | object  | -        |
| 发布日期   | object  | -        |
| 收盘指数   | float64 | -        |
| 成交量    | float64 | 注意单位: 亿股 |
| 涨跌幅    | float64 | 注意单位: %  |
| 换手率    | float64 | 注意单位: %  |
| 市盈率    | float64 | 注意单位: 倍  |
| 市净率    | float64 | 注意单位: 倍  |
| 均价     | float64 | 注意单位: 元  |
| 成交额占比  | float64 | 注意单位: %  |
| 流通市值   | float64 | 注意单位: 亿元 |
| 平均流通市值 | float64 | 注意单位: 亿元 |
| 股息率    | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

index_analysis_daily_sw_df = ak.index_analysis_daily_sw(symbol="市场表征", start_date="20211003", end_date="20221103")
print(index_analysis_daily_sw_df)
```

数据示例

```
     指数代码     指数名称   发布日期     收盘指数  ... 成交额占比  流通市值  平均流通市值  股息率
0     801300  申万300指数  2021-10-11  3728.50  ...   37.21  180520.30   601.73  1.53
1     801001     申万50  2021-10-11  3988.08  ...   15.57   90073.35  1801.47  1.46
2     801002     申万中小  2021-10-11  7972.27  ...   20.54   67438.71    70.25  0.82
3     801003     申万Ａ指  2021-10-11  4441.35  ...  100.00  338619.87    83.04  1.32
4     801280     申万服务  2021-10-11  2804.90  ...   25.22   96273.49    88.24  2.15
      ...      ...         ...      ...  ...     ...        ...      ...   ...
2281  801250     申万制造  2022-11-03  4574.82  ...   36.71   92499.43    63.66  0.74
2282  801005     申万创业  2022-11-03  2777.14  ...   21.87   51087.30    53.33  0.48
2283  801003     申万Ａ指  2022-11-03  3615.16  ...  100.00  297406.44    72.20  1.77
2284  801002     申万中小  2022-11-03  6834.22  ...   27.34   62216.00    65.35  1.02
2285  801001     申万50  2022-11-03  2814.98  ...   10.82   66785.46  1335.71  2.40
```

#### 申万指数分析-周报表

接口: index_analysis_weekly_sw

目标地址: https://www.swhyresearch.com/institute_sw/allIndex/analysisIndex

描述: 申万宏源研究-指数分析-周报表

限量: 该接口返回指定参数的数据

输入参数

| 名称     | 类型  | 描述                                                                            |
|--------|-----|-------------------------------------------------------------------------------|
| symbol | str | symbol="市场表征"; choice of {"市场表征", "一级行业", "二级行业", "风格指数"}                     |
| date   | str | start_date="20221104"; 通过调用 ak.index_analysis_week_month_sw(date="week") 接口获取 |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| 指数代码   | object  | -        |
| 指数名称   | object  | -        |
| 发布日期   | object  | -        |
| 收盘指数   | float64 | -        |
| 成交量    | float64 | 注意单位: 亿股 |
| 涨跌幅    | float64 | 注意单位: %  |
| 换手率    | float64 | 注意单位: %  |
| 市盈率    | float64 | 注意单位: 倍  |
| 市净率    | float64 | 注意单位: 倍  |
| 均价     | float64 | 注意单位: 元  |
| 成交额占比  | float64 | 注意单位: %  |
| 流通市值   | float64 | 注意单位: 亿元 |
| 平均流通市值 | float64 | 注意单位: 亿元 |
| 股息率    | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

index_analysis_weekly_sw_df = ak.index_analysis_weekly_sw(symbol="市场表征", date="20221104")
print(index_analysis_weekly_sw_df)
```

数据示例

```
   指数代码    指数名称  发布日期     收盘指数  ...   成交额占比 流通市值   平均流通市值   股息率
0  801001     申万50  2022-11-04  2931.06  ...   17.28   69539.56  1390.79  2.30
1  801002     申万中小  2022-11-04  7019.56  ...   33.57   63935.94    67.16  0.99
2  801003     申万Ａ指  2022-11-04  3712.72  ...  100.00  305480.64    74.16  1.72
3  801005     申万创业  2022-11-04  2843.50  ...   27.77   52362.26    54.66  0.47
4  801250     申万制造  2022-11-04  4689.15  ...   44.99   94843.51    65.27  0.72
5  801260     申万消费  2022-11-04  6726.38  ...   28.09   67640.59    79.20  1.42
6  801270     申万投资  2022-11-04  3509.18  ...   20.87   51678.05    66.34  2.39
7  801280     申万服务  2022-11-04  2278.98  ...   34.49   93841.14    74.65  2.34
8  801300  申万300指数  2022-11-04  2847.07  ...   35.23  146598.89   488.66  2.14
```

#### 申万指数分析-月报表

接口: index_analysis_monthly_sw

目标地址: https://www.swhyresearch.com/institute_sw/allIndex/analysisIndex

描述: 申万宏源研究-指数分析-月报表

限量: 该接口返回指定参数的数据

输入参数

| 名称     | 类型  | 描述                                                                             |
|--------|-----|--------------------------------------------------------------------------------|
| symbol | str | symbol="市场表征"; choice of {"市场表征", "一级行业", "二级行业", "风格指数"}                      |
| date   | str | start_date="20221031"; 通过调用 ak.index_analysis_week_month_sw(date="month") 接口获取 |

输出参数

| 名称     | 类型      | 描述       |
|--------|---------|----------|
| 指数代码   | object  | -        |
| 指数名称   | object  | -        |
| 发布日期   | object  | -        |
| 收盘指数   | float64 | -        |
| 成交量    | float64 | 注意单位: 亿股 |
| 涨跌幅    | float64 | 注意单位: %  |
| 换手率    | float64 | 注意单位: %  |
| 市盈率    | float64 | 注意单位: 倍  |
| 市净率    | float64 | 注意单位: 倍  |
| 均价     | float64 | 注意单位: 元  |
| 成交额占比  | float64 | 注意单位: %  |
| 流通市值   | float64 | 注意单位: 亿元 |
| 平均流通市值 | float64 | 注意单位: 亿元 |
| 股息率    | float64 | 注意单位: %  |

接口示例

```python
import akshare as ak

index_analysis_monthly_sw_df = ak.index_analysis_monthly_sw(symbol="市场表征", date="20221031")
print(index_analysis_monthly_sw_df)
```

数据示例

```
  指数代码     指数名称  发布日期    收盘指数  ...   成交额占比 流通市值   平均流通市值   股息率
0  801001     申万50  2022-10-31  2690.48  ...   14.36   63829.67  1276.59  2.51
1  801002     申万中小  2022-10-31  6549.58  ...   28.27   59646.48    62.65  1.06
2  801003     申万Ａ指  2022-10-31  3473.79  ...  100.00  285585.23    69.35  1.84
3  801005     申万创业  2022-10-31  2661.09  ...   22.97   48951.92    51.10  0.50
4  801250     申万制造  2022-10-31  4376.62  ...   38.13   88395.76    60.88  0.77
5  801260     申万消费  2022-10-31  6213.67  ...   23.31   62403.98    73.24  1.54
6  801270     申万投资  2022-10-31  3261.75  ...   18.90   47977.03    61.59  2.57
7  801280     申万服务  2022-10-31  2165.00  ...   26.81   89125.81    70.96  2.46
8  801300  申万300指数  2022-10-31  2637.57  ...   33.75  135767.72   452.56  2.31
```
